# ![](img/nav42/install.png) Installing Debian

About time to take the plunge ...

![GNU & Tux on the road by Péhä CC-BY-SA](img/peha/avatar-handy25-by_peha-ccbysa.png){.logo}

The following sections describe the classical **Single-boot installation**: Debian 
will be the only distribution residing on your hard disk and  the install process 
will be automatic (assisted partitioning, with the whole Debian system in a 
single partition).

**This manual is intended for beginners**, and does not cover all the install 
capabilities of the Debian system. If you are in a particular situation not 
covered here, look at the on-line Debian installation manual 
([https://www.debian.org/releases/stable/installmanual](https://www.debian.org/releases/stable/installmanual)).  
For installations in a different context (separated /home partition, DualBoot, 
Logical Volume Management, Encryption, Multi-boot, etc.) you will find the links 
to the specific documentations in [chapter 5.5](#on-line-installation-details).

## Before installing

Most of the users never had to install a system previously (computers are usualy 
delivered with an operating system already installed). And that could be a 
little freaking ... Make the time to be well prepared, take a breath of fresh air, 
and everything is going to be all right ![](img/smile/cool.png).

### Hardware compatibility

One of the first questions when you want to install Debian concerns the hardware 
compatibility: *is Debian going to run smoothly on my computer??*

A fast and simple way to check this out, is to type "Debian" followed by your 
machine type, within your favorite search engine: look for "Debian IBM T60", 
for example. In case of doubts, don't hesitate to ask on a support-and-help 
forum ([chap.1.2](#where-to-find-help)).

In order to be really sure, you can use a distribution offering a test capability 
through a "live" session ([chap.5.3.1](#testing-debian-in-live-session)).

### Backing up your data

If you anticipate to overwrite your hard disk with Debian, verify first that none 
of your personal data is in there: everything will be lost.

**Remember to back-up your data** before you start messing with your existing 
partitions ([chap.9](#back-up-your-data)).

### Disk space requirement

A Debian distribution occupies 10 GB in average, but you should still plan for a 
minimum of 15 GB, to be able to download the updates. For greater safety and if 
you plan to add few applications, reserve 20 GB and you will be comfortable.

### Installation time duration

**To install Debian** from a "net-install" ISO requires some time because the 
software is downloaded from the Debian servers during the process: the time 
duration needed for the installation then depends on the speed and quality of 
your Internet connection and may vary from 40 up to 90 minutes.

**To install a derivative** from a Debian Live support, takes far less time 
(around 20 minutes, depending on your computer power), because the packages are 
already included within the downloaded ISO image. However, a system update will 
then be necessary after the installation, because the embedded packages are 
dating back to the time when the ISO image was burned.

### Preparing the hard disk

If you anticipate to install Debian as the unique operating system on your 
machine, you don't have to do anything special: the embedded installer includes 
the tools needed to prepare (I.E. to format) the disk(s).

If you anticipate to install Debian next to another operating system, take good 
care in preparing your hard disk (like running a defragmentation of the Windows 
partition for example). More details in the section dedicated to specific 
installations ([chap.5.5](#on-line-installation-details)).

## Downloading Debian

Debian ISO images offered for each desktop flavors, in several architecture 
variations, and supported by various media like netinst, CD, DVD, ... are directly
available from its website 
[https://www.debian.org/distrib/](https://www.debian.org/distrib/).

### Which image to download?

Here after the different ways to obtain a Debian ISO image. If you have other 
questions, read the Debian FAQ: 
[https://www.debian.org/CD/faq/index.en.html](https://www.debian.org/CD/faq/index.en.html).

#### Debian Netinst

If your Internet connection is stable, we encourage you to download an ISO 
image of type "Netinst" multi-arch which includes everything you need to install 
Debian on any modern 32 or 64 bits (i386 or amd64) computer, with all the 
desired options: you will be able to choose your main interface during the 
installation process.

- The advantage of this ISO image is that it will search for applications on 
the Debian servers during the installation, allowing you to get a completely 
up-to-date system.
- The disadvantage is that you will need absolutely a network connection
during the installation, either wired (by cable, recognized natively in most 
cases) or wireless (Wi-Fi), when it's recognized.

This is the ISO image used in the installation section of this manual.

To get hold of the "Netinst" ISO image, you can visit this page: 
[https://www.debian.org/CD/netinst/index.en.html](https://www.debian.org/CD/netinst/index.en.html). 
You will find there the torrent links (to share and relieve the load on the main servers) 
and the direct "HTTP" to the ISO images, depending on your architecture. Below 
the torrent link to a 64-bit ISO image:

![Download link for Debian netinstall](img/05-install/01-debian-netinst-page.jpg)

Note that if you absolutely need an ISO image already integrating the specific non-free 
drivers or firmware for your specific hardware (for a Wi-Fi installation for example), Debian 
provides you with multi-arch ISOs (installable on 32 or 64 bits architectures): 
[http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current/multi-arch/iso-cd/](http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current/multi-arch/iso-cd/)

#### Debian on CD/DVD

To obtain a classic bootable ISO image, pre-configured with a specific desktop, 
you can look at this page: 
[https://www.debian.org/CD/http-ftp/index.en.html](https://www.debian.org/CD/http-ftp/index.en.html).

This ISO file **does not** let you test your system, through a "live" session 
([chap.5.3.1](#testing-debian-in-live-session)) to check the hardware 
compatibility with your PC. It *only* allows you to install Debian on your computer, 
which is already cool, and let you install directly your preferred desktop, 
without needing a stable Internet connection at your disposal.

#### Debian live

Other images, called "autonomous", are also available: they let you check your 
particular environment through a "live" session. They include also an 
installation launcher on the desktop, which, once your tests are completed, let 
you install Debian directly from the session you are in.
To get hold of a live image, you can visit this page: 
[https://www.debian.org/CD/live/index.en.html](https://www.debian.org/CD/live/index.en.html).

More details on the dedicated "live" section 
([chap.5.3.1](#testing-debian-in-live-session)).

Note that if you absolutely need an ISO image already integrating the non-free drivers or
firmware for your specific hardware (for Wi-Fi test for example), Debian makes available 
to you ISOs of the type Live-non-free: 
[http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current-live/](http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current-live/)

#### Debian torrent

To relieve the main Debian servers and, at the same time, share your ISO image 
with other community members, you can use the BitTorent protocol.

To obtain the list of the available "torrents", you can visit this page: 
[https://www.debian.org/CD/torrent-cd/index.en.html](https://www.debian.org/CD/torrent-cd/index.en.html).

### Verifying the ISO image integrity

In order to verify the integrity of the transferred image, Debian computes the "**md5sum**" 
(short form of "md5 check sum"). This check can be used on all kind of data, 
but is particularly useful when downloading ISO images.

Note that the md5sums indicated in this manual are only for example purose: 
remember to check the real md5sum of your file on the download site.

#### Checking md5 on GNU/Linux

The **md5** checking tool is integrated in almost all the GNU/Linux 
distributions. To verify the md5 checksum of a file, just type the following 
command in a terminal emulator, including the path of the file to be checked:

    user@debian-pc: cd ~/Downloads && md5sum debian-xx-amd64-i386-netinst.iso

which will return a result of the type (to be checked against the md5sum given 
by the download site.):

    6753c353cef5f5336079d94562ad15c3  debian-xx-amd64-i386-netinst.iso

**Verification in graphic mode ("with the mouse").**  
The **[Gtkhash](https://packages.debian.org/fr/buster/gtkhash)** program let you 
also check the md5 signature, but with a graphical interface.

- Install 'gtkhash' (using a Terminal command or the Synaptic package manager).
- Launch GtkHash from the application menu.
- In the *File* field: look for the ISO file to be checked.
- In the *Check* field: paste the checksum retrieved from the Internet site. 
For the debian-netinst amd64 ISO image, check on this page: 
[https://cdimage.debian.org/debian-cd/current/amd64/iso-cd/MD5SUMS](https://cdimage.debian.org/debian-cd/current/amd64/iso-cd/MD5SUMS).

![GtkHash : verifying the MD5 checksum](img/05-install/02-gtkhash.jpg)

- Click on the *Hash* button.
- The digital fingerprints (I.E. checksums) will show-up for each hash 
functions (MD5, SHA1, SHA256...)
- If the integrity checksum is exactly matching, a (green) validation symbol 
will be displayed at the right of the field, and in the corresponding one in 
the computed hash field.

#### Verifying md5 on Windows®

In order to graphically check the md5sum on a Windows® system,
you can use the **HashMyFiles** tool that you can download here:
[https://www.nirsoft.net/utils/hash\_my\_files.html](https://www.nirsoft.net/utils/hash\_my\_files.html). 
You'll have to scroll down to find the download links.

- Download the archive file corresponding to the characteristic of your system :
"hashmyfiles.zip" for a 32-bit system or "hashmyfiles-x64.zip" for a 64-bit system.
- Extract on your hard disk the 3 files included in the zip archive.
- Launch the HashMyFiles.exe file
- From the menu File > Add Files, select the file to be checked, click on Open 
and wait for the calculation to complete (Loading xx%)

![HashMyFiles : Add file](img/05-install/03-hashmyfiles-1.jpg)

![HashMyFiles : Debian ISO selection](img/05-install/04-hashmyfiles-2.jpg)

- The MD5, SHA1, etc... checksums are computed:

![HashMyFiles : computing checksums](img/05-install/05-hashmyfiles-3.jpg)

![HashMyFiles : computing checksums](img/05-install/06-hashmyfiles-4.jpg)

- Double-click on the line concerning the ISO file to be checked,
and the various checksum are displayed. All that’s left is comparing them with those
specified on the downloading site of the Linux distribution.

![HashMyFiles : display computed checksums](img/05-install/07-hashmyfiles-5.jpg)

### ISO transfer on a CD/DVD

![](img/apps/dvd.png#left)  
To burn your Debian ISO file on a CD/DVD using a computer under GNU/Linux, simply 
open your favorite burning application, indicate the path of the 'debian-xx-iso' 
downloaded file, and start the media burning.

For the Microsoft® users, read this tutorial made for the Windows®7/8 systems: 
[http://www.digitalcitizen.life/burning-iso-or-img-disk-images-windows-7](http://www.digitalcitizen.life/burning-iso-or-img-disk-images-windows-7)

### ISO transfer on a USB key

![](img/misc/usb.png#left)  
The USB key is the most convenient way to install GNU/Linux distributions, 
because you can change them as often as you want and even test several of them 
in parallel. The key also secures your tests because once the session is over, 
no trace is left on the key nor on the computer which booted from it.

#### From a GNU/Linux system with the terminal

Transfer will be done with the terminal, this is the recommended method. 
However, there is this a graphical tool, **Etcher** from Balena 
[https://www.balena.io/etcher/](https://www.balena.io/etcher/)

Plug your USB key in and launch a terminal in "root" administrator mode 
([chap.3.8.3](#administrator-mode-example)). We are going to identify the USB 
key to be used, with the command:

    blkid

which returns information of this type:

    /dev/sda1: LABEL="system" UUID="3d378712-1b6e-4f66-b9e8-2a6673c62199" TYPE="ext4" 
    /dev/sda5: UUID="65bdec62-8d0e-49ca-b70b-c99340e4ee5e" TYPE="swap"
    /dev/sdb1: UUID="F9B8-E691" TYPE="vfat"

Here, our key is identified as **UUID="F9B8-E691"**, is formated in "vfat" and includes 
the **sdb1** partition. Note carefully this **sdb1** value, to avoid erasing by 
mistake a partition on your internal hard disk (here **sda1** is another 
partition on this disk).

The Debian ISO file should be located in the Downloads folder. Let's move in there 
to act on this ISO file (the "$Home" variable replaces the address "/home/your\_loginID"):

    cd $HOME/Downloads

Now, we are going to transfer the ISO content to the USB key, thanks to the 
"**dd**" command.
**Take good care of naming the USB key device "*sdb*" and not "*sdb1*"** (in our 
example), because it is the disk device name which is requested, not the partition, 
and don't forget to change the *xx* in the 'debian-xx.iso' file by the 
corresponding real version number.  
Within a terminal in "root" administrator mode ([chap.3.8.3](#administrator-mode-example)):

    dd if=debian-xx.iso of=/dev/sdb bs=4M status=progress; sync

The transfer duration on the USB key is obviously depending on the size of the 
ISO and on the transfer rate of your USB port. This operation usually lasts 
from 10 to 15 minutes without any sign of activity within the terminal window. 
Once the transfer is completed, the control will be given back to you, that is 
a new command line prompt will be displayed in the terminal.

#### From a Windows® system with Win32DiskImager

Win32DiskImager is a bootable media creation utility for Windows®: it will 
allow you to create a USB key from which you will then boot your computer in order 
to install Debian.  
To install it on your Windows® system, go to the main project page and download 
the latest version: 
[https://sourceforge.net/projects/win32diskimager/](https://sourceforge.net/projects/win32diskimager/)  
Win32DiskImager installs like other Windows®-compatible software. Once in place, 
first plug your USB stick in and note the ID of the new disk displayed (disk "F:" 
for example). Then run Win32DiskImager.

![Win32DiskImager](img/05-install/08-win32diskimager.jpg)

- In **1**, you will choose the downloaded Debian ISO image: Click on the folder 
icon to open the file picker. Win32DiskImager only looks for files of type 
".img" by default: remember to set the search filter to ".iso" instead of ".img" 
in order to view your debian-xxx.iso file.
- In **2**, you will indicate the device to be used: it is the disk mounted when 
inserting your USB key. **Caution! All data on this key will be deleted** during 
the transfer procedure.
- In **3**, you start the ISO image transfer to the key. You can follow the 
progress of the process directly in the Win32DiskImager window.

Wait a moment and you will be in possession of a bootable Debian USB key! You still 
have to restart your computer from this bootable key and begin the Debian installation.

### Booting from the CD/DVD or the USB device

To proceed now with the Debian installation, using your CD/DVD or USB medium, 
you need to ask the computer to boot from this device. If your computer does 
not boot automatically from the desired installation medium, you need to access 
the "Boot menu" or modify the "Boot order" in the BIOS.

Some computers have a function key that let you boot directly from a peripheral 
device, without having to modify the BIOS parameters. Usually, pressing the F12 
key at start-up gives you access directly to the boot options. 
On the other end, to access the BIOS configuration you need to tap one key 
like DEL, ESC or F2 during the start-up phase. More information at: 
[http://www.boot-disk.com/boot_priority.htm](http://www.boot-disk.com/boot_priority.htm)

#### The Boot Menu

As mentioned above, the key to access the Boot Menu at start-up may vary from 
one computer to another. This specific key and the key to access the BIOS 
configuration are usually indicated during the boot sequence for one or two second:

![Open the boot menu on Toshiba](img/05-install/09-bootmenu-0.jpg)

![Open the boot menu on Dell](img/05-install/09-bootmenu-1.jpg)

The boot menu let you select the boot peripheral without going into the BIOS 
configuration

![Select a disk to boot from](img/05-install/10-bootmenu-2.jpg)

Use the keyboard direction arrows to select the right peripheral (in this example 
the USB key is the "Removable Devices").

When you reach the BIOS settings, you should check if, within the Hard Disk Drive 
entry, there is a tree you can expand and where the USB key is showing up. In that 
case you can move your USB key up to the first position, by using the F5/F6 keys 
on your keyboard.

#### BIOS configuration

If the Boot-order menu is not available, you must modify the Boot priority inside 
the BIOS.

Once entered in the BIOS settings, the operations to execute are very simple, but 
you should be extremely careful to not modify other parameters. Hopefully, in case 
of mistake, the program let you quit without recording the changes, by pressing 
the ESC (or Escape) key. Other keys like F9 or F10 will let you reload the 
default parameters, or to record the changes before quitting:

- **F9**: reload default parameters (or factory settings)
- **F10**: record the modifications and quit
- **ESC**: cancel the modifications and quit.

The navigation is done by using the directional arrows on the keyboard. One 
validate or enter inside an option using the **ENTER** key. In most of the BIOS 
models, you move until the **Boot** menu is highlighted, then find the peripheral 
selection for the boot (boot device, boot sequence, boot priority) and finally put 
the various devices in the first, second, third etc … positions, reflecting the 
boot order you wish to apply.

![BIOS: setting the Boot order (sources linuxtrack.net)](img/05-install/11-bios-startup.jpg)

Hereafter some peripheral names, like they might appear in your BIOS settings:

- A **Cd-Rom** reader will usually appear as **CD/DVD** or **CD-ROM**
- A **Hard disk** will usually appear as **HDD** or **HARD DRIVE** or 
**HARD DISK** or even **IDE~** ...
- A **USB** peripheral will usually appear as **USB HDD**, **USB DRIVE** 
or **USB DEVICE** or **Removable Device**.

#### BIOS/UEFI/Secure Boot configuration

The correct handling of the UEFI SecureBoot is finally on the agenda of Debian 
10 Buster, for the AMD64, i386 and ARM64 architectures. This implies that one can 
now test and install Debian 10 without the need to disable the SecureBoot option: 
[https://www.debian.org/releases/buster/amd64/release-notes/ch-whats-new.en.html#secure-boot](https://www.debian.org/releases/buster/amd64/release-notes/ch-whats-new.en.html#secure-boot) 
![](img/smile/cool.png) 

**Changing the boot order**

You still have to change the boot order so that the computer starts first from 
the USB (or the DVD). Click on the "Boot" tab and modify the order, if necessary, 
so that your medium becomes the first of the list as explained on the previous 
chapter (BIOS).

![Save setting (sources linuxtrack.net)](img/05-install/12-bios-uefi-save.jpg)  

Now, you save your changes and you start the Debian installation.

## Testing Debian safely

The best way to make your choice: try the system directly on your computer!  
There are two possibilities: you can test a GNU/Linux distribution from a 
stand-alone "Live" session or directly from your windows® system thanks to a 
virtualization software: VirtualBox or VMWare.

### Testing Debian in Live session

![Launching Debian Live session](img/05-install/13-install-menu-live.jpg)

Debian provides standalone "Live" images for safe testing a given environment. 
Their peculiarity is to change nothing on the computer, everything happens in 
RAM and is forgotten once the computer is turned off.

These images have a setup launcher on the desktop that allows you, once tested, 
to install Debian directly from your session.  
To get a live image, visit this page : 
[https://www.debian.org/CD/live/index.html](https://www.debian.org/CD/live/index.html).

![](img/misc/noob-info.png#left)  
**The principle of the Live CD** is the capability to use/test a distribution on 
a computer without any risks for your personal data. The Live also let you check 
the distribution compatibility with your hardware.  
The Debian software is "compressed" within a special file (the 'squashfs.filesystem' 
file) and embedded in the downloaded ISO image. This same special file is 
"uncompressed" during the Live utilization, and will later be copied on your 
hard disk during the installation process.

#### Debian install using Calamares within a Live session

Whichever version you choose (Gnome, KDE, Xfce...), you will find on the desktop, 
and/or within the "System" menu, an entry to directly install Debian. After 
having checked your machine compatibility, you will be able to directly install 
the selected environment from the "Live" session.

![Debian install lanuncher](img/05-install/14-install-launcher-live.jpg)  

**Warning:** This installation method is not the one encouraged by default.
The Live install involves a risk: if for one reason or another, the graphical 
interface freezes, the whole installation process will be compromised.

if you choose this option, this is the **Calamares** graphical installer which 
will be launched in order to set your system up. 
Here, within a LXQt Live session, you start with your language selection:

![Calamares installer: language selection](img/05-install/15-calamares-01-langage.jpg)

You just need to follow the on screen instructions ...

![Calamares installer: country selection](img/05-install/16-calamares-02-pays.jpg)

The **Localisation** tab allows you to set the clock via your time-zone.

![Calamares installer: keyboard selection](img/05-install/17-calamares-03-clavier.jpg)

The **Keyboard** tab exhibits an impressive list of options (you may think it’s 
too much)... In case of doubts, pick the default keyboard, you will always be able 
to change it, once the installation is done.

![Calamares installer : partition scheme](img/05-install/18-calamares-04-partition.jpg)

The **Partitions** tab is the most important one, because it let you modify your 
computer disk(s) layout : to be used with extreme care. For a *single boot* 
install (Debian will be the only system hosted by the machine), you can select 
"Erase disk". For a *dual boot*  (next to another system), select "Install along 
side". In case of doubt send a question to the forum ([chap 1.2](#where-to-find-help)).

![Calamares installer : user creation](img/05-install/19-calamares-05-user.jpg)

The **Users** tab allows you to define your identity on this machine,
that is your full name, your login identity and your password.
You can also enable the automatic login (no password request) for this account.

![Calamares installer : overview before install](img/05-install/20-calamares-06-resume.jpg)

The aptly named **Summary** tab, is an overview of what will happen during the 
installation. Please take some time to review it carefully, because once you 
click on the “Install” button the partitions formatting process will start, 
without any going back possibility. At that point, if you notice an error you can 
still return to the settings with the "Back" button.

![Calamares installer : Debian system installation](img/05-install/21-calamares-07-installation.jpg)

It’s now time to drink a cup of tea, open the window (a real glass window), 
while the Calamares installer is doing its job.

![Calamares installer : installation complete](img/05-install/22-calamares-08-installed.jpg)

Your computer reboots with your new Debian system...
Enjoy it ![](img/smile/big_smile.png)

![Launching the Debian GNU/Linux system](img/05-install/23-plymouth.jpg)

### Testing Debian from Windows® or Mac® with VirtualBox

![](img/logo/vbox.png)  
**Virtualbox** ([http://www.virtualbox.org/](http://www.virtualbox.org/)) is a 
virtualization software available for major operating systems. This software 
will allow you to test your Debian or any other GNU/Linux OS directly on your 
Windows® desktop. Virtualbox is not the only virtualization software: more 
information about virtualization on Wikipedia 
([https://en.wikipedia.org/wiki/Virtualization#Nested_virtualization](https://en.wikipedia.org/wiki/Virtualization#Nested_virtualization)).

Internet is full of tutorials about installing VirtualBox. I leave it up to you to 
consult these few links which will let you quickly master this software:

- WikiHow documentation: 
[http://www.wikihow.com/Install-VirtualBox](http://www.wikihow.com/Install-VirtualBox) (cc-by-nc-sa)
- The official VirtualBox documentation: 
[https://www.virtualbox.org/wiki/Downloads#manual](https://www.virtualbox.org/wiki/Downloads#manual)

![](img/misc/noob-info.png#left)  
**... We enter the virtual world here??**  
A kind of. The virtualization software makes it possible to test or install 
**a system inside a system**, and to ensure the independence of the two installations. 
VirtualBox will "make believe" the system you want to test (referred to as "*guest system*") 
that it is all alone on its computer, while ensuring exchanges (shared folder, 
network connection sharing, etc.) with the *host system*.  
Your guest system will be installed on a "virtual disk", which will simply be 
like a big archive in a folder of your documents.  
Note that this test method does not verify hardware compatibility and is only for 
you to discover a distribution before installing it on your hard drive.

## Installation simple boot

Here comes the long-awaited moment, the actual installation of the Debian 
GNU/Linux system on your machine …  Are you ready to begin this exciting journey?

Hereafter a visual step by step explanation on how to easily install Debian, 
using the graphical installer. **This method erases the whole disk** and 
installs Debian as the unique operating system on your machine. The ISO 
image is of the type "netinst".  
The Debian installer displays an explanation at every step of the process: with 
GNU/Linux ![](img/logo/gnulinux.png), there is no advertising, so please 
take few seconds of your time to read the little messages which talk about your 
future system

### Starting the installation

When the installer begins, we select the installation mode:

![Installation mode (UEFI)](img/05-install/24-install-menu-efi.jpg)

Depending on your motherboard model, or if it boots in BIOS mode, the display can 
slightly change. In all cases, select “Graphical Install”.

![Installtion mode (BIOS)](img/05-install/25-install-menu-bios.jpg)

- The **Install** mode proposes a text in gray color on a blue background, and 
cursor moves are possible only by using the keyboard arrows, or the TAB key, and 
then the Space bar to tick options on/off.
- The **Graphical Install** mode offers a prettier interface, enabling the mouse 
usage.![](img/smile/smile.png)
- Two other modes are specially configured to increase the installer accessibility.

Each installer pane displays a clear explanation message. When you don't know the 
answer, take the default setting. However, **pay great attention during the 
partitioning phase**, since this operation could erase the existing data on your hard disk(s).

### Select your language

Selection of the system language by default: this choice will also modify the 
installer language itself, which then will display its own messages in English 
(if you chose "English").

![Installation: language](img/05-install/26-install-01-langue.jpg)

### Select your geographical location

![Installation: country](img/05-install/27-install-02-pays.jpg)

This information allows the system to automatically set the date and time of your 
system, using a remote time server.

### Configure your keyboard

![Installation: keyboard](img/05-install/28-install-03-clavier.jpg)

Here you can define the general layout of your keyboard. Please note that you 
would be able to fine tune its definition, once the system is installed.

### System name setting

![Installation: hostname](img/05-install/29-install-04-hostname.jpg)

The host name is the "nickname" of your computer. For a domestic usage, 
you can pick whatever name you want to call it. If this machine is part of a network, 
remember to ask your network administrator for advice.

### Domain name setting (if necessary)

![Installation: domain](img/05-install/30-install-05-domaine.jpg)

Leave this field empty if you don't know the answer.

### Root account creation

![Installation: admin password](img/05-install/31-install-06-root.jpg)

Enter the administrator password (twice to confirm). Like indicated in the 
information message, creating a "root" administrator account is not mandatory. 
If you leave these fields empty, the first user will receive all the rights to 
perform administrative tasks by using the "sudo" command and entering its own password.

The password is not shown in clear by default, but you can tick the check-boxes
to verify that the passwords are matching. Do not enter  “*adminpassword*”... 
please ! More information concerning passswords in [chapter 10.1.3](#passwords).

### First user account creation

![Installation: user full name](img/05-install/32-install-07-username.jpg)

Start by entering the **full name** of the main user.

### First user Login

![Installation: user login](img/05-install/33-install-08-login.jpg)

Then enter its **identifier**, that is the pseudo which will be used during the 
connection (login) to a session.  
You will be able to create more user accounts once the system is installed,
and give them, or not, the system admin rights.

### First user password setting

![Installation: user password](img/05-install/34-install-09-userpass.jpg)

Like for the administrator account, you need to enter the password twice for confirmation.

### Selecting the guided or manual partitioning scheme

![Installation: partition mode](img/05-install/35-install-10-part-method.jpg)

To perform a “single-boot” installation (the computer hosts only one system),
you select "use entire disk".

![](img/misc/noob-info.png#left)  
**... "Partitioning" ... What's that?**  
The partitioning process consists in organizing different partitions on your system.
Partitions are non-overlapping area defined on your hard disk(s), each one of 
them having its specific properties (file system type, unique identifier, size, 
etc.). In order to function correctly, Debian GNU/Linux needs at least one partition 
to install the operating system. An additional exchange partition (called SWAP) is 
highly recommended, to deal not only with insufficient memory space, but also with 
the suspend or hibernation functionality.  
The guided partitioning scheme proposes 2 partitions (system + swap), but you can 
opt for a scheme proposing a separated "/home" partition, and use another hard 
disk to store your personal data (as an example).

### Selecting the disk hosting the partition

![Installation: disk to partition](img/05-install/36-install-11-part-disk.jpg)

In our example, there is only one disk. If your configuration is different,
make sure you select the "boot disk", in general called **sda**.

### Partitioning scheme selection

![Installation: partition scheme](img/05-install/37-install-12-part-schema.jpg)

Your data will be kept on partitions. With a classic domestic system, you can
"store" your data on the same disk as your system. So you can select 
"All files in one partition".

### Modify or finish the partitioning

![Installation: check partition](img/05-install/38-install-13-part-resume.jpg)

The partitions scheme is displayed for you to check : you can modify its layout
if you think it is necessary, but the default scheme is generally the right one.

### Partitioning overview and formating process launch

![Installation: formating and install](img/05-install/39-install-14-part-confirm.jpg)

![](img/misc/warning.png#left)  
**Warning: this is the step during which the installer will format the partitions.**  
**The data on the selected disk will be erased!**

![Installation](img/05-install/40-install-15-install-base.jpg)

The base system is installed. You will choose your main interface later.

### Analysis of the CD/DVD complementary contents (if necessary)

![Installation: optional additional CD](img/05-install/41-install-16-addoncd.jpg)

Optional: Had you opted for a Debian CD set including all the packages needed for 
the installation, you would now insert the second CD (and tick the "Yes" option).

If you use an "netinst" ISO, as in our example, you
can skip this step.

### Using a network mirror

![Installation: using a network mirror?](img/05-install/42-install-17-opt-miror.jpg)

![](img/misc/noob-info.png#left)  
**... where should I put this mirror?**  
**"A repository mirror"** is a computer server, available on-line, hosting the 
full set of the Debian packages. If you don't have all the CDs on hand, Debian 
will grab the software or the packages you need on the network mirror servers.  
There are repository servers all around the world, each one being the exact 
copy (mirror) of the others. In this example we select "Yes" and in the following 
section we will pick an Internet mirror located in the United Kingdom.

### Selecting the network mirror country

![Installation: mirror country](img/05-install/43-install-18-miror-pays.jpg)

The beginner's handbook being English-speaking, the default choice "United Kingdom" 
seems obvious. However, you should be careful and select a nearby mirror, if you 
live in another English speaking country.

### Selecting the server hosting the archive mirror

![Installation: mirror server](img/05-install/44-install-19-miror-depot.jpg)

The server proposed by default is usually a good choice.

The entry "deb.debian.org" will redirect you to the closest available repository.

### Configuring a proxy server (if necessary)

![Installation : proxy configuration](img/05-install/45-install-20-proxy.jpg)

Leave this field empty, if you don't know.

### Participating - or not - to the Debian popularity-contest

![Installation: stats Debian](img/05-install/46-install-21-stats.jpg)

This can be useful to the community, but it is not mandatory.  
Note that participation in Debian statistics does not imply the capture of
your personal data or the sending of advertising emails ... you can
participate without any fear.

### Selecting software

![Installation: software and main desktop](img/05-install/47-install-22-logiciels-choix.jpg)

Now, it is time to select your main desktop interface, as well as the main 
services to be installed by default. Note that you can select several desktops 
in view of directly installing several environments.
Hereafter a summary description of the proposed choices:

- **Debian desktop environment** let you install, or not, a desktop. The desktop 
environment installation can be done later on, or never, and it is not indispensable, 
for example on a server. But if you are a beginner, a graphical interface will be 
easier to master.  
In this example, the Gnome environment is used. Please note that you can install 
several of them: they will be available from the session manager.
- **web server** includes a preselection of packages dedicated to Web servers.
- **print server** includes a preselection of packages dedicated to Print servers.
- **SSH server** allows you to activate the ssh protocol, and computer remote 
control. **Warning!** Enabling the SSH service might create a security breach if 
it is not correctly configured. For **experienced users** only.
- **standard system utilities** includes a collection of applications to manage 
your operating system.

### Packages installation

![Installation: downloading packages](img/05-install/48-install-23-logiciels-download.jpg)

Time to take a little pause. Downloading and installing the packages may take 
quite some time, depending on the power of your computer and the Internet 
connection bandwidth.

![Installation: installing packages](img/05-install/49-install-24-logiciels-install.jpg)

### Installing Grub, the boot loader

![Installation: GRUB](img/05-install/50-install-25-grub-choix.jpg)

GRUB is the "launcher" of your GNU/Linux system. It must be installed to perform
the start-up of your Debian. So, the default answer "Yes" must be kept, 
except if you know exactly what you are doing.

### Selecting the Grub location

![Installation: disk for GRUB](img/05-install/51-install-26-grub-disk.jpg)

When the system installation is of type "simplified single-boot", you should 
install Grub on your machine **main disk**, usually identified under the 
nice "/dev/sda" name.

![Installation: installing GRUB](img/05-install/52-install-27-grub-install.jpg)

### Installation complete

![Installation: end and reboot](img/05-install/53-install-28-end.jpg)

Don't forget to remove the  CD or USB key to avoid re-launching the installer 
during the next boot.  
Then complete the installation process by pressing the *Continue* button.

### Debian first start-up

![Installation: reboot on GRUB](img/05-install/54-install-29-reboot-grub.jpg)

The entry by default will launch the system, when the advanced options include
the "recovery mode" start-up, which allows you to perform some maintenance tasks,
for example when the graphical session is broken.  
Next comes the session opening of the Debian system, here under the Gnome 
environment, managed by GDM.

![Debian: login screen](img/05-install/55-gdm-password.jpg)

## On-line installation details

Debian offers more possibilities than just the two methods explained in the 
previous chapters.  
But this manual being intended for the beginners, we kept it simple and the more complex 
installation modes are detailed in the official Debian documentation: 
[https://www.debian.org/releases/stable/installmanual](https://www.debian.org/releases/stable/installmanual)

Just to give you a flavor of the other installation modes:

### Dual-boot installation

The **Dual-boot** mechanism let you install side-by-side two independent 
operating systems, and doing so, allows you to select, at boot time, 
which one you want to launch.

![](img/misc/warning.png#left)  
**This is not the recommended method**: there are inherent risks for 
your data during the partition resizing. If you choose this solution to 
get started on Debian, please remember that you can very well test it first 
by using a **Live session** ([chap.5.3.1](#testing-debian-in-live-session)) with 
no risks for your data.

More information of the Debian Dual-Boot Wiki: 
[https://wiki.debian.org/DualBoot](https://wiki.debian.org/DualBoot)

### LVM ... what's that?

**LVM** is an acronym for **L**ogical **V**olume **M**anager.

Its usage consists in:

- Create a specific partition of type "LVM" (which corresponds to a 
mounted **disk**)
- Within this partition we can create "Logical Volumes" (corresponding 
to **partitions**)  that we can modify at will, themselves sized and 
formatted to our own convenience.

So, the "Logical Volumes" utilization, replaces straight out the usual disk 
"partitioning", and provide a more flexible way to manage disk space by allowing 
modifications on them at any point of time.

It is possible, as well, to keep one part of the LVM partition without installed 
"Logical Volume", pending further decisions.

More details on the dedicated Debian LVM Wiki: 
[https://wiki.debian.org/LVM](https://wiki.debian.org/LVM)

### Encryption ... what's for?

The confidentiality of personal data is is a pretty hot topic these days. In 
order to better protect your data, you can opt for an **encrypted installation**. 
With this kind of installation, even in case of theft of your computer, or 
removal of its hard disk, no data access is possible without the encrypting password !

The Debain Administrator's Handbook provides us with more details 
([https://debian-handbook.info/browse/en-US/stable/sect.installation-steps.html#sect.install-partman](https://debian-handbook.info/browse/en-US/stable/sect.installation-steps.html#sect.install-partman)):

> This feature can be added underneath any filesystem, since, as for **LVM**, Linux (and more particularly the "dm-crypt" driver) uses the Device Mapper to create a virtual partition (whose content is protected) based on an underlying partition that will store the data in an encrypted form (thanks to **LUKS**, **L**inux **U**nified **K**ey **S**etup, a standard format that enables the storage of encrypted data as well as meta-information that indicates the encryption algorithms used).

To put it simply, LUKS creates a container to host an encrypted volume protected by a password.

For more information and a complete guide, visit the digital self-defense guide: 
[https://ssd.eff.org/en](https://ssd.eff.org/en)

### RAID ... does it hurt?

[Wikipedia](https://en.wikipedia.org/wiki/RAID) is my friend ...

> **RAID** is the acronym of *redundant array of independent disks*.
> 
> **RAID** is a data storage virtualization technology that combines multiple physical disk drive components into a single logical unit for the purpose of data redundancy, or performance improvement, or both.

Please note that the Debian installation in RAID mode, uses the RAID software (thanks to the *mdadm* tool) and not the RAID hardware (handled by a physical RAID controller).

For more details and installation tutorial see the official Debian wiki 
[https://wiki.debian.org/SoftwareRAID](https://wiki.debian.org/SoftwareRAID) 
or the dedicated section of the Debian Administrator's HandBook 
[https://debian-handbook.info/browse/stable/advanced-administration.html#sect.raid-soft](https://debian-handbook.info/browse/stable/advanced-administration.html#sect.raid-soft)

![GNU in levitation by the Nevrax Design Team - GPLv3](img/logo/gnu-meditate-levitate.png){.logo}
