# ![](img/nav42/launch.png) Fast boot after installation

![Back to the future by Peha - cc-by-sa](img/peha/backtothefuture-by-peha-cc-by-sa.png){.logo}

First things to do after installation: Wi-Fi network connection, screen resolution, 
printer configuration ... everything you'll need to do before your workstation is ready 
for operation.

## Network connection setting

![](img/apps/wireless.png#left)  
Using either an Ethernet wired connection or a Wi-Fi wireless connection, your 
Debian system is expected to access the network. The Ethernet connection is 
recognized natively. As far as the Wi-Fi is concerned, it is sometimes necessary 
to use a non-free driver.

- **If your Wi-Fi connection is recognized natively**, jump directly to the Network 
manager sections (for the Gnome, Mate, Cinnamon or Xfce desktop), Wicd (for the 
LXDE desktop) or the connection editors under KDE or LXQt.
- **If you network device is not functioning**, you need to go to the "material 
recognition" section ([chap.6.1.5](#check-if-the-driver-is-present)).

### Network-manager-gnome

This is the network manager delivered with Gnome, Mate, Cinnamon, and Xfce. It is 
accessible from its icon within the notification area (here on Gnome and LXDE):

![Network management on Gnome](img/06-start/01-gnome-network-1.jpg)

![Network management on Xfce](img/06-start/02-network-manager-xfce.jpg)

All the active or inactive connections are listed here, and the Wi-Fi networks 
are detected as well. Left-click on the network you want to connect to, and a 
dialog box will pop up. Select your network then "Connect". A password is then 
required (the one given by your Internet Service Provider). Here on the Gnome desktop:

![Network selection](img/06-start/03-gnome-network-2.jpg)

![Network private key](img/06-start/04-gnome-network-3.jpg)

Then enjoy your Wi-Fi connection:

![Wi-Fi network connected](img/06-start/05-gnome-network-4.jpg)

To tweak the Wi-Fi settings, select the dedicated entry in the main menu:

![Network configuration menu](img/06-start/06-gnome-network-5.jpg)

You will be able to modify the connection settings, and even "Forget" it:

![Network selection](img/06-start/07-gnome-network-6.jpg)

![Network settings](img/06-start/08-gnome-network-7.jpg)

![Forget the network](img/06-start/09-gnome-network-8.jpg)

### Wicd

**Wicd** ([https://wiki.debian.org/WiFi/HowToUse#Wicd](https://wiki.debian.org/WiFi/HowToUse#Wicd)) 
(**W**ireless **I**nterface **C**onnection **D**aemon) is an independent network manager 
delivered with LXDE. However, it can be used on any other desktop.

Its interface is slightly different compared to the Gnome manager one, 
but the functionality is the same.

Wicd is available from its icon in the task bar (usually at the bottom right, 
in the notification area). A left-click opens the main interface which lets 
you select your network access:

![Wicd: connection properties](img/06-start/10-wicd1.jpg)

If the network does not show up, verify first that in the Wicd "Preferences", 
the right interface (the very one found in the "material recognition" section, 
like mentionned in the previpus chapter: "wlp2s0" for example) is selected for 
the Wi-Fi network.

![Wicd: Connection manager preferences](img/06-start/11-wicd2.jpg)

### KDE connection manager

On KDE, the network connections are managed like on the other desktops: through 
a graphical interface. A left-click on the network icon in the notification 
area gives you access to the list of available networks. A click on "Connect" and 
KDE ask you to enter the network Wi-Fi key:

![KDE: network selection](img/06-start/12-kde-wifi1.jpg)

![KDE: network private key](img/06-start/13-kde-wifi2.jpg)

When this is done, you can connect your computer using this Wi-Fi network 
and/or modify its settings.

![KDE: network connection manager](img/06-start/14-kde-wifi3.jpg)

### LXQt connection manager

LXQt uses a different tool: "**Connman**" available from the general menu > 
Internet > Connman UI Setup

![Connman: launch application from the LXQt menu](img/06-start/15-connman-1.jpg)

The main ConnMan interface opens. Available networks 
(connected or not) are displayed in the "Services" section. 
To connect to a network, use the "Wireless" tab:

![Connman: main interface](img/06-start/16-connman-2.jpg)

![Connman: Wi-Fi network tab](img/06-start/17-connman-3.jpg)

Select your network then click on "Connect". Then enter the 
password of the selected network:

![Connman: Wi-Fi password](img/06-start/18-connman-4.jpg)

![Connman: Wi-Fi connected](img/06-start/19-connman-5.jpg)

An icon did take place in your notification area: when hovering the mouse over it, it displays 
network information, and when clicked, it opens the main ConnMan interface.

![Connman: main interface from notification area](img/06-start/20-connman-6.jpg)

### Check if the driver is present

**Drivers** are often provided by the manufacturer, and sometime also some **Firmware**
(micro-program) which needs to be loaded by the kernel inside the WI-FI device itself,
using this very same driver. So it is very important to check that the driver is correctly 
installed in the system.
To do so, we are going to use the command **ip link**:

    ip link

which should return a result like:

    1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode...
        link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    2: enp0s25: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast...
        link/ether 00:24:e8:a1:13:65 brd ff:ff:ff:ff:ff:ff
    3: wlp0s29f7u3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state...
        link/ether e8:94:f6:16:7f:f3 brd ff:ff:ff:ff:ff:ff

If an interface named something like "wlp..." does not appear in the list, 
this means that the Wi-Fi driver is missing.

#### Identifying a network device, and installing its driver

If your network connection is not functioning, it is usually a driver issue. In order 
to select the right one, we need first to identify the network device.

Within a terminal in user mode, launch the **lspci** command which lists all 
the available interfaces.
If you use this command alone, your terminal window will be filled up with all kinds of
information. In order to help you sorting out all these data, we are going to complement 
the **lspci** command with a *grep* and a *cut* , like this:

    lspci | grep -i "net" | cut -d: -f3

which will return a result like:

    Intel Corporation 82567LM Gigabit Network Connection (rev 03)
    Broadcom Corporation BCM4322 802.11a/b/g/n Wireless LAN Controller ...

Here, the detected Wi-Fi device is the **Broadcom BCM4322**

If I run a simple Internet search, like "*Debian Broadcom BCM4322*", I will find
quickly the right page 
([https://wiki.debian.org/bcm43xx](https://wiki.debian.org/bcm43xx)) which 
tells me to install the **firmware-b43-installer**.

The Wi-Fi connection setting is a very touchy subject for the GNU/Linux 
distributions, due to the non-free nature of the drivers to be installed. 
More details in the [chapter 8.1.4](#modifying-the-repositories).

More information in the Debian Wi-Fi Wiki: [https://wiki.debian.org/éWiFi](https://wiki.debian.org/WiFi).

## Configuring your printer

![](img/apps/print.png#left)  
C.U.P.S 
([https://wikipedia.org/wiki/Common_Unix_Printing_System](https://wikipedia.org/wiki/Common_Unix_Printing_System)), 
is an acronym for **C**ommon **U**nix **P**rinting **S**ystem, and as its name 
suggests, is a printer management system created by Apple Inc. for OSX and other 
Unix-like systems. It is used by default on Debian to manage printers. To achieve 
this, CUPS uses the Internet Printing Protocol (ipp) to drive both the local 
and the network printers.  
What is enough for you to remember is that CUPS is the tool managing the printers.

If you chose an exotic installation, you might need to install yourself 
some Debian packages. 
Within a terminal in administrator mode (thanks to "su" 
[chap.3.8.3](#administrator-mode-example)):

    apt update && apt install --install-recommends task-print-server

**Compatibility**

Likewise Wi-Fi devices, printers need external drivers. However their detection 
by default is much better, which enables Debian to embed a simplified printer 
setting interface (detailed in the first section of this chapter). Methods 
may vary from one manufacturer to another.

- for Brother: visit the dedicated page: 
[http://support.brother.com/g/b](http://support.brother.com/g/b),
- for Epson: add the following repository ([chap.8.1.4](#modifying-the-repositories)) 
to your "sources.list" file: 
"deb http://download.ebz.epson.net/dsc/op/stable/debian/ lsb3.2 main" 
(without the quotes)
- for HP: make sure the 'hplip' package is installed on your machine. If your 
printer is very recent, visit the dedicated page 
[http://hplipopensource.com/hplip-web/index.html](http://hplipopensource.com/hplip-web/index.html), 
download the packages corresponding to tour printer for the Debian system (files 
ending by ".deb") and install these packages using either the **dpkg** or 
**gdebi** tool ([chap.8.7](#installing-external-.deb-packages)).

To check your printer compatibility, you can visit the dedicated page of the 
openprinting.org site: 
[https://www.openprinting.org/printers](https://www.openprinting.org/printers).

![](img/misc/noob-info.png#left)  
Regardless of the chosen method, don't forget to plug the power cord at both ends, 
to verify that the paper tray is not empty, to connect the printer either 
directly to your computer, or to the local network, and to turn its power on.

### Simplified graphical method with system-config-printer

The Debian GNU/Linux desktops include the **system-config-printer** tool, 
a simplified graphical manager to add and configure your printer.

If you followed the Debian classic installation procedure, this tool is already 
present on your system and can be found usually at "System > Print Settings", or 
in the Control Centers for Gnome or KDE. If you don't find it, simply open a 
terminal and launch:

    system-config-printer

If a message indicates that the printing service is not available, it is enough to press 
the “Start the service” button in the very same message window.
You will be asked to enter your password.
If this does not improve the situation, chances are that the CUPS package is not installed.

Within a terminal in admin mode, install the CUPS package :

    apt update && apt install cups

Then re-boot your system to take into account these modifications.

If everything went well, the printer configuration program then displays this message
window when the *system-config-printer* is launched:

![System-config-printer: default interface](img/06-start/21-printer-cfg-1.jpg)

Click on  the "Add" button to get the list of detected printers.
If the button is disabled, click on "Unlock".

![System-config-printer : unlock applcation](img/06-start/22-printer-unlock.jpg)

Then you access the "New Printer" window which presents the local or network 
"Detected Devices" list. Select your printer and click the "Forward" button:

![Printer selection](img/06-start/23-printer-cfg-2.jpg)

If your printer was correctly detected, its driver has been selected for you. 
You can describe your printer in the next window. Once you are done with the 
modifications click on the "Apply" button:

![Printer description](img/06-start/24-printer-cfg-3.jpg)

The installer then ask you if you want to test the printer:

![Print test page?](img/06-start/25-printer-cfg-4.jpg)

The printer is now correctly added to your machine. It is available for the 
printing tasks executed by any of the installed applications on your system 
(LibreOffice, Evince (for pdf files), etc.).

To change your printer settings, double-click on its icon:

![Printer configuration](img/06-start/26-printer-cfg-5.jpg)

Small hint: to change the printer behavior in case of error, go to your printer 
settings, click on the "Policies" category,  and select the "**Abort job**" 
option (instead of "**Stop printer**") in the "Error policy" field.

### Universal graphical method with CUPS

The simplified interface is handy, but the classic CUPS interface is no longer 
as austere as it used to be. You can access it from your Internet navigator 
since CUPS is a *print server* offering a web interface.

So let's meet on the page 
[http://localhost:631/printers/](http://localhost:631/printers/) which displays 
all the detected printers (don't forget to connect your printer either directly 
to your computer, or to the local network, and to turn its power on).

![CUPS: "Printers" tab of the web interface](img/06-start/27-cups-1.jpg)

A left-click on your printer opens the dedicated page:

![Active printer page](img/06-start/28-cups-2.jpg)

which includes the "Maintenance" and "Administration" menus. Depending on the 
selected operations, the administrator password will be requested. 
([chap.3.8.3](#administrator-mode-example)).

![CUPS cfg1](img/06-start/29-cups-3.jpg)  ![CUPS cfg2](img/06-start/29-cups-4.jpg)

More information of the Debian SystemPrinting Wiki: 
[https://wiki.debian.org/SystemPrinting](https://wiki.debian.org/SystemPrinting).

## Check for updates

![](img/apps/update.png#left)  
**Debian updates** have nothing to do with *Windows' updates*...  
The GNU/Linux system updates are the **direct evidence of one of the free 
software strengths: the public sources**.

As opposed to the proprietary systems, hiding their software flaws (since 
they *sell* it) as long as possible, the free distributions publish their 
software flaws as soon as they are discovered and fix them immediately.

So, when a small window suddenly pops up and invite you to update your 
system, say yes, of course, and your computer will thank you a all lot.

- Updates using a *terminal* ([chap.6.3.1](#update-with-a-terminal))
- Updates using the *Synaptic* package manager 
([chap.8.5.3](#updating-the-system-with-synaptic))
- Updates using *Discover* on KDE 
([chap.8.4.3](#discover-updating-your-applications))
- Updates with the simplified Debian software center 
([chap.8.3.4](#software-upgrading-your-applications))

### Update with a terminal

The terminal, this little box which frightens you so much, whereas it 
is actually your friend ... yes, yes ... your friend.

You want a proof ? Easy: we are going to update the entire system using just one line.

You start by opening a terminal window (usually under the menu "System" of your 
environment).

If during the Debian install, both the “root” account and a “normal” user account 
(for the common use of the system) were created,  you have to use the command "su -" 
in order to execute a command in administrator mode, when the session was open by the “normal” user. 
The super-user password is then requested.

    user@debian-pc:~$ su -
    Password : 
    root@debian-pc:~# apt update && apt full-upgrade

On the other end, if during the Debian install, the super-user account was disabled 
(no password was entered) , the “normal” user has the opportunity to gain 
the super-user privileges by using the “sudo” command. 
When using sudo, **your own password** is requested.

    user@debian-pc:~$ sudo apt update && sudo apt full-upgrade
    Password :

![](img/misc/noob-info.png#left)  
**... wait a minute, what does that mean exactly?**

- "sudo": allows you to take the super-user role ;
- "apt": the command to invoke the Debian package manager ;
- "update": reload the information concerning the available packages ;
- "&&": once this is done without error, launch what follows ;
- "apt": the same application verifies and applies the modifications ;
- "full-upgrade": execute a complete update of the installed applications, adding 
or removing packages as necessary. A confirmation to proceed will be requested. 
For a complete example have a look on the Administrator example 
([chap.3.8.3](#administrator-mode-example)).

### Updates notification

The GNU/Linux desktops use **Software** or the **Synaptic package manager** on 
the Gnome, Xfce and LXDE interfaces, or **Discover** on the KDE interface, and 
both tools include a **notification** function.  
Thus, your system checks the repositories on a regular basis (when the network 
is available, of course), without even bothering you, and displays a notification 
at the beginning of a new session when some updates are available. It is enough 
to accept the updates, or to click on the notification bubble opening up, to 
display the update manager tool integrated in your system.

![Update notification on the KDE interface](img/06-start/30-kde-update-notify.jpg)

If you want to **manually check** for available updates, you can use the terminal 
and the magic command **apt update** in administrator mode:

    user@debian:~$ su -
    Password :
    root@debian:~# apt update

## Retrieve your email account

![](img/apps/mail.png#left)  
If you have an **online messaging service** like gmail.com or free.fr, you can 
access it from your Firefox web browser (launches from the application menus 
in the "Internet" section). Enter the address of your online account provider 
(openmailbox.org, yahoo.fr, orange.fr, google.com ...) in the address bar and 
launch it by pressing [Enter].

If you do not have an e-mail account, or if you want to create a new e-mail account, 
we recommend that you use one of the services that respect your privacy. For example:

- [https://protonmail.com](https://protonmail.com)
- [https://www.mailo.com](https://www.mailo.com)
- [https://www.zaclys.com/zmail/](https://www.zaclys.com/zmail/)
- [https://webmail.vivaldi.net](https://webmail.vivaldi.net)
- [https://www.infomaniak.com](https://www.infomaniak.com)
- [https://posteo.de](https://posteo.de)
- [https://runbox.com](https://runbox.com)
- [https://kolabnow.com](https://kolabnow.com)
- [https://tutanota.com](https://tutanota.com)
- [https://mailfence.com](https://mailfence.com)
- [https://mailbox.org](https://mailbox.org)

If you want to use a **local e-mail client**, a dedicated software, Debian offers 
several tools, but all working on the same model: Gnome uses "Evolution", 
KDE includes "KMail" and Xfce integrates **Thunderbird**.

### Thunderbird: your free mail client ![](img/logo/thunderbird.png)

**Thunderbird** 
([https://www.mozilla.org/fr/thunderbird/](https://www.mozilla.org/fr/thunderbird/)) 
is primarily an **emailer**, but it is also a communication hub that allows you 
to read and write within newsgroups, chat with others (discussion group), and 
read RSS feeds provided by some websites.

If you have two or more email accounts, it might not be very practical to access 
each of them using the browser! Thunderbird is an application that brings 
together all the mail boxes of all your email accounts, in one single 
convenient interface.

To open Thunderbird, from an application list or a menu, select the "Mail client" 
from the "Internet" category.

#### Thunderbird setup

At first startup, **Thunderbird** provides temporary configuration interface 
and a foreground window that allows you to create an account with two 
suppliers and partners.

If you want to take advantage of this option, fill the fields in and let you 
be guided, this configuration is automatic.

If you are not interested, you can click on "Skip this step and use my existing address".

Another window opens. Then provide the requested information about your account. 
You can choose whether Thunderbird must remember the password. If you leave 
this option unchecked, you would need to re-enter your password each time you connect.

![Thunderbird: mail account configuration](img/06-start/31-thunderbird-1.jpg)

Click on "continue". Thunderbird then searches in its database the specific 
parameters for your email account. When finished click on "Done".

![Thunderbird: mail account verification](img/06-start/32-thunderbird-2.jpg)

Thunderbird now displays your account details in the right column, starts 
downloading all your emails and, depending on your provider, all your contacts 
(this may take sometime).

#### Thunderbird interface

![Thunderbird: default display](img/06-start/33-thunderbird-3.jpg)

The Thunderbird interface is relatively intuitive. In the top tool bar you can 
check your mail, compose a new message, open a chat session, access your address 
book, put a label on a message, or filter your messages.  
At the right of the menu bar you can find the Thunderbird menu, represented by
three small horizontal bars, from which you can set your preferences, and launch 
various actions.  
For example if you click on the Message menu (or right-click on a given message), 
a list of actions is proposed, like Reply, Forward, Archive, Mark as Junk, etc.

The right panel is reserved for the "Lightning" calendar, very intuitive: a 
click on a date will open the assistant to make new appointments.

If you are **looking for a specific message** you have several options:

- Type few characters in the search field of the top menu bar;
- Click on one of the column headers ("Subject", "From", "Date", "Attachments", 
"Star", "Tag" if you tag your messages, Read/Unread status, etc.): your messages 
will be sorted immediately according to the selected criterion (defined by the 
header name), which will let you find quickly an old message rather than scrolling 
through an endless list of emails. By clicking a second time on the column header 
the sort will be done in reverse order. Thus, by using this tool, you can customize 
the way your messages are presented according to your own criteria.

#### Retrieve other email account(s)

If you have more email accounts you want to access via Thunderbird, click on the 
main menu (the three small horizontal bars at the right of the tool bar) and 
select "New Message" > "Existing Mail Account ..." and continue the Mail Account 
Setup procedure like explained above.

#### Thunderbird settings

In the modern presentation of Thunderbird (as well as other communication tools 
like Firefox and Chromium, for example) the application menu is defined by 
three small horizontal bars (sometime called "burger menu") at the top right of the window. 
From this menu you have access to the various parameters of the application.  
If you prefer the classic presentation, with the menu bar at the top of the 
window, click on this Thunderbird menu, then on "Preferences" and tick the 
"Menu Bar" on.

It is advisable to visit the Preferences setting window, where you can define 
the handling of junk mails, define a master password for all your account, 
customize your tag list, among all the settings available in there.

#### Protect your new and forwarded e-mails

![](img/misc/noob-info.png#left)  
**... Encrypt your e-mails ... what does that mean?**  
Let us take the example of the regular mail, sent via post-mail. You send a 
postcard to your mother-in-law for example, you know that what is written on 
it can be read by the postman or anyone else. Well, with your e-mails, it's 
exactly like the postcard, if you do not encrypt them.

"*Does not matter*" you say, "*I don't care if someone knows that I wrote 
to my mother-in-law that the weather is fine during our vacations*". Perhaps. 
But you can write more than just mundane wordings in your messages, and you 
never know what can happen to them. You are not convinced? I ask you to 
reconsider if you really have nothing to hide by visiting this page on the 
**FSF** website: [https://emailselfdefense.fsf.org](https://emailselfdefense.fsf.org).

![](img/apps/locked.png#left)  
**To effectively protect your electronic exchanges, use EnigMail!:** 
[https://emailselfdefense.fsf.org](https://emailselfdefense.fsf.org).

## Login configuration

GNU/Linux systems follow the principle of rights and permissions by default. 
When you install Debian, a password is requested for the primary user. 
This password is requested at the beginning of the session.

If you are using Debian in single-user mode, you can disable this password request 
in order to begin your working session directly when the computer is started.  
Debian uses three different default connection managers: **GDM** (on Gnome & 
Cinnamon), **LightDM** (on MATE, LXDE & Xfce) and **SDDM** (on KDE).

### Auto-login with GDM

![Gnome : Password request at session start](img/06-start/34-gdm-mini.jpg)

**GDM3** ([https://wiki.debian.org/GDM](https://wiki.debian.org/GDM)) is the 
Gnome Display Manager for the main desktop environment on Debian 10
"Buster". To enable automatic login:

From the system widget, click on your nickname then "Account settings":

![User account configuration](img/06-start/35-gdm-cfg-1.jpg)

Unlock the application, the administrative password will be asked.

![Unlock user preferences](img/06-start/36-gdm-cfg-2.jpg)

Activate the automatic login:

![Auto login enabled](img/06-start/37-gdm-cfg-3.jpg)

### Auto-login with LightDM

![LightDM](img/06-start/38-lightdm.jpg)

You can setup **LightDM** 
([https://wiki.debian.org/LightDM](https://wiki.debian.org/LightDM)) by editing 
its main configuration file. To enable autologin, you'll have to edit it with 
a terminal. Open a terminal and become root with the "**su**" command 
([chap.3.8.3](#administrator-mode-example)). The administrator 
password will be asked. Once connected to a root terminal, copy (to backup) 
and edit the dedicated file with this 2 commands:

    cp /etc/lightdm/lightdm.conf /etc/lightdm/lightdm.conf.bak
    nano /etc/lightdm/lightdm.conf

The second command opens the configuration file in the CLI **Nano** editor. 
Use arrows to scroll and locate those lines:

    #autologin-user=
    #autologin-user-timeout=0

Remove the "#" (uncomment) in front of each line then add your login like this:

    autologin-user=my_login
    autologin-user-timeout=0

Where "my_login" should be replaced by **your login**.

Save the file with the [Ctrl]+x shortcut, then answer "Y" for "yes":

![LightDM: configuration file edition with the Nano CLI editor](img/06-start/39-lightdm-termedit.jpg)  

You can close your terminal: your password won't be asked anymore at login time.

In case of troubles, just enter this command in administrator mode to restore your 
previous LightDM configuration:

    mv -f /etc/lightdm/lightdm.conf.bak /etc/lightdm/lightdm.conf

### Login configuration on KDE

![SSDM: login screen on Debian 9](img/06-start/40-kde-sddm.jpg)

**KDE** is a truly complete environment and **SDDM** (Simple Desktop Display Manager) 
provides you with a graphical interface to configure your login screen. The 
configuration tool will allow you to manage the wallpaper, the language used, some 
options and of course, the automatic login.

To access the SDDM configuration, direction the main menu > Applications > Settings > 
System Settings > Startup and Shutdown:

![KDE: launching SDDM configuration](img/06-start/41-kde-sddm-cfg-1.jpg)

Enable automatic login from the "Advanced" tab of the SDDM configuration interface:

![SDDM: graphical configuration tool](img/06-start/42-kde-sddm-cfg-2.jpg)

Select the "Automatic login" checkbox together with the user ID from the "User" drop-down 
menu. As this action changes the system settings, you will be prompted for the 
administrator password. On the next login, your password won't be asked.

### Automatic login on LXQt

![Login screen on LXQt](img/06-start/43-lxqt-sddm.jpg)

LXQt uses **sddm** as KDE but does not offer a graphical configuration interface. 
To open your LXQt session without a password, you must go through 
the terminal and edit the configuration file **sddm.conf**.

Start by creating the configuration files then edit it with **nano** 
within a terminal console in administrator mode 
([chap.3.8.3](#administrator-mode-example)):

    sddm --example-config > /etc/sddm.conf && nano /etc/sddm.conf

Fill in the file by indicating the name of the session ("lxqt.desktop") and 
the identifier of the user who will benefit from the automatic connection:

![sddm.conf edited in nano CLI editor](img/06-start/44-lxqt-sddm-termedit.jpg)

Save the file using the keys [Ctrl]+x then choose "Y" to confirm the 
name of the file. Upon restart, you will take advantage of the automatic connection.

## Navigate on Internet

![](img/apps/browser.png#left)  
The primary function of a web browser is to let you consult information available 
on the Web (World Wide Web).  
The user gives the browser the web address of the resource to consult. There are 
three ways to provide a web address:

- **Type yourself the web address** in the address bar of the browser,
- Select a entry in your **list of bookmarks**
- **Follow a link** on a web page, knowing that each link is associated with a web address.

The browser connects to the web server hosting the target resource. The communication 
protocol commonly used is HTTP or HTTPS (its secure version).

- If the resource is an HTML page, a compatible video file, or a PDF file, the 
browser display the page.
- If the resource is unknown or not handled by the browser, the choice is yours: 
download or open the resource with an external application.

### Firefox: a free web browser ![](img/logo/firefox.png)

**Firefox** 
([https://www.mozilla.org/en-US/firefox/desktop/](https://www.mozilla.org/en-US/firefox/desktop/)) 
is an open and free web browser, developed and distributed by the **Mozilla Foundation** 
([https://www.mozilla.org](https://www.mozilla.org)) with the help of thousands of 
volunteers using the free software/open source development methodology 
(according to [wikipedia](https://wikipedia.org/wiki/Mozilla_Firefox)).

Debian integrates **Firefox-ESR**, the "**E**xtended **S**upport **R**elease" 
version, aimed at large organizations (and small ones) for mass deployments. 
This version is maintained for 10 months from its release date and only benefits 
from security updates, ensuring a stable and secure browser.

![Firefox on Debian](img/06-start/45-firefox.jpg)

The main window consists of the following elements (from top to bottom):

- **The tab bar** displays the open Internet pages and allows you to switch from 
one to another with a single click.
- **The tools bar** displays: the backward and forward buttons, the address bar, the search 
field, the bookmark button, the main Firefox menu.
- **the browsing pane** displays the web pages contents.

**Customize and configure** Firefox through its main menu that appears when 
clicking on the "burger" icon (at the right end of the tool bar):

- The first line of the menu **"Connect to Sync"** allows you, if you have 
previously created a Firefox account, to synchronize your data (like your 
bookmarks, history, passwords, open tabs and add-ons installed) on all your 
different devices.
- The **"Content Blocking"** displays the parameters relating to privacy.
- **"New Window"** opens a 2nd window with the Firefox browser.
- **"New Private Window"** will open a 2nd window but this time, passwords, 
cookies and history will be automatically deleted, leaving no trace at the 
end of the session.
- **"Restore Previous Session"** allows you to recover your tabs and 
windows from the previous session, if private browsing is not activated.
- Then comes the **Zoom line**... it's explicit.
- Then the **common editing operations** (cut/copy/paste).
- **"Library"** allows you to view and organize your bookmarks, your navigation history, etc.
- **"Logins and Passwords"** allows direct access to parameters 
related to passwords saved in Firefox (about:preferences#privacy).
- The **Add-ons** button takes you to the extensions configuration menu 
(active or inactive).
- The **Preferences** button takes you to the main configuration menu: 
8 tabs with explicit entries.
- The **Customize** button launches the "edit mode" of Firefox: the left pane 
presents "Additional Tools and Features" that you can move either to the Firefox 
main menu (currently open) or directly into the tool bar, and vice versa ... Well, 
you tweak the look of the browser by just dragging and dropping items in the interface. 
When you are done click on "Exit Customize" at the bottom of the main menu.
- **"Open File"** shows you that Firefox is not just a tool handling HTML pages: 
it can also read image (.jpg, .png, .gif), text (.txt), or .pdf files.
- **"Save Page As"** will help you to copy on your hard disk, in a directory 
specified, the active web page in Firefox. Note that the ScrapBee extension facilitates 
capturing and managing web pages on the hard drive 
[https://addons.mozilla.org/us/firefox/addon/scrapbee](https://addons.mozilla.org/us/firefox/addon/scrapbee).
- **"Print"** opens the print preview window
- **"Find in This Page"** activates the search bar. Then you just have to enter  
the keyword you are looking for.
- **"More"** and more specifically it's the task manager which indicates the 
memory used by the various open web pages and your extensions.
- **"Web developer"** is aptly named... tools for specialists only.
- The "**Help**" button takes you to the official Firefox on-line help. Mozilla 
contributors did work very well. The online help 
([https://support.mozilla.org/en/products/firefox](https://support.mozilla.org/en/products/firefox)) 
is comprehensive and detailed: you can explore in there all your browser capabilities. 

To add new features to your Firefox browser, navigate to Preferences > Add-ons. 
In the tab that opens, select "Get Add-ons" and choose from the available modules 
([https://addons.mozilla.org/fr/firefox/extensions/](https://addons.mozilla.org/fr/firefox/extensions/)).

![Firefox: Add-ons catalog](img/06-start/46-firefox-addons.jpg)

### Using FlashPlayer

**Adobe Flash Player** is a **non-free** platform used to add animation, video, 
and interactivity to Web pages. Flash is frequently used for advertisements and games.

Be aware that the current trend for site developers is to **move away from Flash** 
in favor of HTML5 
([https://en.wikipedia.org/wiki/HTML5](https://en.wikipedia.org/wiki/HTML5)), 
thus it is more and more easy to survive on the Internet without the proprietary 
FlashPlayer.

This manual being intended for beginners, we are not going to ask you to remove 
all the bookmarks pointing to sites still using the flash reader (although that 
could help making a faster transition), so we will detail below how to install 
the flash player from the Adobe website. Start by visiting the official download page 
([https://get.adobe.com](https://get.adobe.com)) which should automatically detect your 
architecture and your browser. Select the "linux tar gz" archive in the menu:

![Flash player download page](img/06-start/47-flashplayer.jpg)

- Once the archive is downloaded, right-click on it and then on "extract here".
- Open the "flash_player-npapi_linux_your-architecture" folder, you'll find 
the "libflashplayer.so" file.
- Copy this file from your file browser: right-click on libflashplayer.so > "copy"
- Navigate to the folder ~/.mozilla by displaying the hidden folders. (menu view > 
show hidden files).
- Create the folder "plugins" in your ~/.mozilla then right-click in this folder > 
"paste" the libflashplayer.so

To update your flash player, retrieve the latest version in the same way, and 
overwrite the old file with the new one, simply.

## Watch a video

![](img/apps/video.png#left)  
Once your system is installed (or in Live session), a double-click on a video 
file will open it with the default player of your DE.
For Gnome or Cinnamon, it is the "Videos" player (Totem) which is automatically 
launched when double-clicking on a video:

![Totem: "Videos" and "Places" windows on Gnome-Shell](img/06-start/48-totem.jpg)

Its use is very simple and intuitive. At the slightest movement of the pointer, 
the playback menu is displayed and allows you to browse the video file, set 
loop playback (the vertical bar formed by 3 points) or adjust the volume. 
The main menu gives you access to other functions.

Each DE integrates its own player, all featuring the same basic functions, 
largely enough for a first use of a Debian system.

As usual on Debian, you can add the multimedia software of your choice. 
I'll let you visit the list of applications available on the Debian wiki 
([https://wiki.debian.org/Multimedia](https://wiki.debian.org/Multimedia)).

The Xfce desktop comes with a multi-platform media player widely used by 
Windows®: **VLC** ([https://www.videolan.org/vlc/](https://www.videolan.org/vlc/)), 
a way to get started on Debian without changing your habits.

![VLC multimedia player on Gnome-Shell](img/06-start/49-vlc.jpg)

**VLC** is a free media player and a system capable of playing most multimedia 
files as well as DVDs, Audio CDs, VCDs, and various broadcasted protocols.

## Listen to music

![](img/apps/audio.png#left)  
Debian GNU/Linux comes with a media player for each DE. Some allow the management 
of a large music collection, including sort management, play lists, cover artwork, 
etc (such as Amarok or Rhythmbox described in the following section), others are 
simple, lightweight and easy to master (Such as Audacious 
[http://audacious-media-player.org/](http://audacious-media-player.org/) or XMMS 
[https://xmms2.org/wiki/Main_Page](https://xmms2.org/wiki/Main_Page)).

### About audio format natively recognized

[Wikipedia](https://en.wikipedia.org/wiki/Audio_file_format) is my friend ...

> An audio file format is a file format for storing digital audio data on a computer system. The bit layout of the audio data (excluding metadata) is called the audio coding format and can be uncompressed, or compressed to reduce the file size, often using lossy compression. The industry has produced many formats for either production or distribution.  
> The program element which transforms the signal into a file and the file back into a signal is called a codec ([https://wikipedia.org/wiki/Codec](https://wikipedia.org/wiki/Codec)), an abbreviation for **co**der-**dec**oder.

Debian recognizes (among other things) the 4 main default formats (mp3, ogg, flac, 
wav). If you need to install codecs or non-free audio software, you will need to 
modify your repositories ([chap.8.1.4](#modifying-the-repositories)) to add the 
"contrib" and "non-free" sections.

### Rhythmbox: your music player

**Rhythmbox** 
([https://wiki.gnome.org/Apps/Rhythmbox](https://wiki.gnome.org/Apps/Rhythmbox)) 
is the default music player in the Gnome environment, which allows you to play 
and organize your music collection.

Here are its main features:

- Sort by artists, albums or genres..
- Playlist management.
- Display of jackets and lyrics.
- Management of podcasts and web-radios.
- Integration of [Jamendo](http://www.jamendo.com), 
[Magnatune](http://www.magnatune.com/) and [Last.fm](http://www.lastfm).
- Support for portable players (MTP or iPod).
- Support infrared remote controls.
- Sharing and playing music on a local network.

At first launch, Rhythmbox scans your "Music" folder, but you can add more 
folders to your music library.

![Rhythmbox: default view](img/06-start/50-rhythmbox-1.jpg)

![Rhythmbox: menu](img/06-start/51-rhythmbox-2.jpg)

Rhythmbox integrates a complete preferences and a plugins system that adds functionality 
to the player.

![Rhythmbox: preferences/plugins settings](img/06-start/52-rhythmbox-3.jpg)

Being the default audio player of the Gnome desktop, it benefits from a complete 
integrated help:

![Rhythmbox: complete help](img/06-start/53-rhythmbox-4.jpg)

The main desktops also have their own dedicated player, which works with the same 
principle: a music library scanned by the application which then offers you to play a single record 
or a full "playlists", options, preferences and plugins.  
Let your mouse wander, you do not risk anything: a confirmation will be asked 
for each action involving the modification or the deletion of your musical files.

## Work with word processor

![](img/apps/office.png#left)  
**Debian** integrates by default the full office suite LibreOffice which allows 
you to work on documents using any kind of format coming from different office suites.

If you don't need such a comprehensive tool suite, you can use the **Abiword** 
([https://packages.debian.org/stretch/abiword](https://packages.debian.org/stretch/abiword)) 
or **Gnumeric** 
([https://packages.debian.org/stretch/gnumeric](https://packages.debian.org/stretch/gnumeric)) 
tools, which are lighter, while maintaining a high level of compatibility.

### LibreOffice : the free office productivity suite

![Libreoffice: default view](img/06-start/54-libreoffice.jpg)

**LibreOffice** ([http://libreoffice.org/](http://libreoffice.org/)) is a free 
(as in freedom) office suite that offers tools for word processing (Writer), 
spreadsheet (Calc), presentation (Impress), drawing (Draw), database (Base) 
and editing mathematical formulas (Math).

LibreOffice is the default office suite for Debian 10 and is integrated 
within the main desktops during the installation process.
There are many possibilities for LibreOffice. The official wiki of the community 
is very well done and will provide you with an efficient and complete help (no 
need to reinvent the wheel ...): 
[https://wiki.documentfoundation.org/FAQ](https://wiki.documentfoundation.org/FAQ)

Good reading ![](img/smile/smile.png).

## Edit your photos with the Gimp

![the Gimp](img/06-start/55-gimp-splash.jpg)

Debian includes the graphic edition software **the Gimp**.

**GIMP**, standing for **G**NU **I**mage **M**anipulation **P**rogram, is an image 
processing software. Often considered as a competitor of Adobe™ photoshop™, it is, 
at any rate, a safe alternative with basically the same feature set, and on top of 
it, it is free!

Available for a whole range of OS, it runs obviously on Linux, MacOsX, BSD and Windows®.

There are already very good documentation concerning The GIMP, and this page was written 
only to gather, in few lines, the most basic hints, without having to browse 
through dozens of sites hoping to find its happiness.

![logo the GIMP](img/logo/gimp.png){.logo}

### Interface Overview

![The Gimp on Gnome-Shell](img/06-start/56-gimp.jpg)

The main window pops up and unveils ... lots of tools to have fun with ... ![](img/smile/big_smile.png)  
The **tools box** (top left) - The **tools options** (bottom left) -  The **Gimp menu bar** (top center) - 
The **active picture** (centered) - The tabs displaying the tools data(top right) 
and the **layers** (bottom right).

- **The toolbox** contains the icons for the various Gimp tools. You can add or 
remove them from the menu bar > Edit > Preferences > Toolbox. The function of 
each tool is displayed on a pop-up window, if selected.
- **The tool options** displays the parameter values of the tool currently used: the 
size and hardness of the brush, for example, or the opacity of the filling color...
- **The menu bar** gives you access to all functions and features of the Gimp.
- **The active image** is displayed in the main window: the changes made are 
directly visible.
- The right window contains various tabs that you can modify or mask by clicking 
on the small arrow at the top right of the tab.

By default, the first tab displays the active layers in the image.

![](img/misc/noob-info.png#left)  
**... What do those "layers" exactly mean??**  
**Gimp uses the principle of layers**, ie the superimposition of images for a 
final rendering. It is the same principle as when recording a piece of music: the 
instruments are all recorded on separate "audio tracks", and the voices also; then 
they are "mixed" all together to obtain the final piece of music.  
For the layers of Gimp, it is the same principle: you separate the different elements on 
layers and the final image is   assembled and exported in the format of your choice 
(JPEG, PNG ...).

**The default format of Gimp is "xcf"**, a format that preserves the 
independence of the different layers and thus enable modifying one element without 
touching the other layers.

### First Tips

**Prepare a folder with a copy of the images to be modified:**

It is often said, **the backup is your friend** and it is also true for image 
editing. Before working on your project, create a folder where you will place 
a copy of your original image as well as all the elements you want to add 
(other images to process, modify, your graphics resources in short).

**Record your work regularly in ".xcf" format:**

Gimp uses the default "xcf" format to save your project. This format allows to 
save the layers and therefore, permits a fine modification of your work. 
**To save** in xcf format, direction the menu "File"> "Save". Once your project 
is finalized, you can **export your project** in a compressed format (jpeg, 
png, gif) from the menu bar: "File" > "Export as".

**Have Fun!** ![](img/logo/wilber-eeek.png)

One way to discover **the Gimp** is to test it, try it, and have fun editing your family 
pictures ... Create a folder to play with Gimp and place your favorite 
photos or images and start to *gimp-it* 

**Tutorials** ![](img/logo/wilber-reading.png)

The Gimp website provides a large choice of tutorials where you could learn how to start 
playinf with it: [https://www.gimp.org/tutorials/](https://www.gimp.org/tutorials/)

**Print an image**

If Gimp prints only white pages, and the preview is desperately showing a blank 
page too; but you can fix this problem by installing the gimp-gutenprint package in 
administrator mode ([chap.3.8.3](#administrator-mode-example)):

    apt install gimp-gutenprint

Then, to print a image, all you have to do is: "File > Print with Gutenprint". 
A page is open where you can set up your printer and your desired print layout.
