# ![](img/nav42/config.png) Tweaking your environment

Do you feel that you took control of your system ? Now we are going to tweak the 
configuration of your workstation.

Basically, you can modify everything you want on the Debian GNU/Linux desktops 
and tailor your environment to make it fit your personal needs and tastes.

To achieve this, the right-click is the *quasi-ultimate* weapon ! ![](img/mouse/clic-droit.png)

## User interface

![](img/apps/skin.png#left)  
The GNU/Linux environments are known for their great flexibility in terms of 
configuration. However, some desktop are more flexible than others, because of 
their main interface.

Grossly speaking, they all work the same way: a "Control Center" to handle almost  
all parameters in the same place, and the right-click for the settings of individual elements.

Most of the functionalities have been addressed during the presentation of the 
desktops ([chap.4.2](#choosing-your-gnulinux-desktop)). But let's go back to the 
two main Debian desktops: Gnome and KDE.

### The Gnome-Shell interface

**Gnome is the default desktop** for the Debian installations. This desktop features 
an "all-in-one" interface which makes it a fluid and intuitive environment.

Gnome-Shell ([https://wiki.debian.org/GnomeShell](https://wiki.debian.org/GnomeShell)) 
provides a "uniform" interface: this is what brings this great fluidity. This means 
also that you will not be able to modify everything you want, like on the other 
desktops built with a modular design. But instead of talking about the few things 
you cannot make, let's talk about all the settings directly available to you.

Let's take the direction Gnome Activity menu > "Tweak Tool".

![Gnome-Shell config launcher](img/07-conf/01-gnome-ajustements.jpg)

The opening window includes all the elements of your Gnome-Shell desktop. The 
changes are applied and visible immediately.

![Gnome-Shell: configuring the interface](img/07-conf/02-gnome-apparence.jpg)

After few "clicks" on the various categories, you will easily understand how to 
install, in the screen top bar, the Application menu, the Places menu or the weather forecast.

![Gnome-Shell: Gnome desktop configured with extensions](img/07-conf/03-gnome-meteo.jpg)

#### Installing Gnome-Shell extensions

Gnome-Shell can be enhanced with various extensions available in Debian repositories. 
To install them, run the software manager, category "Add-ons"... simple isn't it?

![Launching "Software"](img/07-conf/04-gnome-ext-install-1.jpg)

Selecting the **Add-ons** category.

You still have to make your choice in the list: a left click on an extensions and 
"Software" offers you to install it. You will be asked for confirmation.

![List of Gnome-Shell extensions available](img/07-conf/05-gnome-ext-install-2.jpg)

![Selecting an extension for installation](img/07-conf/06-gnome-ext-install-3.jpg)

![Installation confirmation](img/07-conf/07-gnome-ext-install-4.jpg)

Your extension is immediately accessible, here with the extension "Dash to Panel",
which allows the replacement of the activity overview dock and the top bar, by a 
panel equivalent to the task bar under the Xfce environment:

![Dash to Panel extension](img/07-conf/08-gnome-ext-install-5.jpg)

#### Gnome-Shell keyboard shortcuts

In order to be more efficient, and even if Debian is "mouse-click-oriented", we 
suggest you use the keyboard shortcuts: pressing the "Windows" key, for example, 
switch between the Activities overview and desktop. The overview displays the 
open activities, the dock and the virtual workspaces.

Shortcuts               Actions
----------------------- ------------------------------------------------
Alt + F1 or Win         Open/Close the Activities overview
Ctrl + Alt + Tab        Give the keyboard focus to the top bar
Alt + F2                Pop up command window
Alt + Tab               Quickly switch between windows
Alt + Maj + Tab         The same, but in reverse order
Alt + ²                 Switch between windows from the same group
Ctrl + Alt + ↑/↓        Switch between workspaces
Ctrl + Alt + Maj + ↑/↓  Move the current window to a different workspace

#### Gnome Desktop Settings

The main "Gnome Settings" tool is available from the Parameter launcher and gives you access 
to all your environment settings.

![Gnome-Shell config launcher](img/07-conf/10-gnome-preferences-launcher.jpg)

![Gnome-Shell: All Settings Panel](img/07-conf/11-gnome-preferences-1.jpg)

![Gnome-Shell : removable media management](img/07-conf/12-gnome-preferences-2.jpg)

Each entry opens a sub-menu which allows you to make your changes, then returns 
to the main menu to continue the customization of your environment.

#### The Gnome Classic interface

If you want to use a more "classical" interface, you can take this option during 
your session sign in: click on the little gearwheel to select the "Gnome Classic" 
option before clicking on the "Sign In" button:

![Gnome classic: Environment selection during Sign In](img/07-conf/13-gnome-classique-gdm.jpg)

Your session then opens with a more conventional version of Gnome, but you keep 
your main settings and your tools.

The "Classical" interface is lighter, but offers less visual effects (usefull 
or useless, depending on the view point).  
In order to come back to the default Gnome-Shell interface, select the "Gnome" 
option of the gearwheel menu, next time you Sign In.

![Gnome Classic desktop on Debian](img/07-conf/14-gnome-classique.jpg)

### The KDE Plasma interface

**KDE** is a historic desktop among various the GNU/Linux environments, which has 
always put the emphasis on its extreme customization. The transition to the Plasma 
([https://www.kde.org/plasma-desktop](https://www.kde.org/plasma-desktop)) 
rendering engine did not change a bit on that point: everything in KDE is modular, 
movable, configurable, and accessible from a very detailed **System Setting Center**.

**KDE** allows you to build your environment from A to Z, down to the last detail.
Some would argue that it is (too) complete, and we cannot hide that there is a small rivalry
between KDE users and those using *The* Gnome environment. ![](img/smile/wink.png)  
In any case, these different environments have a distinct advantage: they offer 
you the opportunity of a **choice**!

#### The System Settings panel

![Debian System Settings on KDE Plasma](img/07-conf/15-kde-config-center.jpg)

This is where you are going to tweak all your computer and Debian system settings.

Network, audio, video, window appearances, default language, as well as the way you 
sign in, and a lot more ... Virtually everything is configurable from this panel. 
Even some desktop special effects integrated in KDE, in Compiz style, can be 
managed from here.

Each entry is detailed and you will discover as you go along, the configuration possibilities 
of the KDE-Plasma environment.

#### KDE and desktop widgets

![KDE widgets](img/07-conf/16-kde-composants-1.jpg)

Plasma allows you to add graphic components to your desktop, sort of small 
'widgets' that display virtually anything on your desktop. From the launcher at 
the top right corner or by right-clicking on the desktop, select "Add Widgets" and 
then drag and drop the desired components to your desktop.

![KDE and the graphical components](img/07-conf/17-kde-composants-2.jpg)

To configure the widgets, left-click on the relevant component to bring up its 
configuration menu. You can then adjust the component, move it or resize it to 
your liking.

#### KDE Activities

![Access to activities](img/07-conf/18-kde-activites-launcher.jpg)

The Activity manager let you organize your tasks and keep an eye on them. To 
access it, left-click on the top-right corner menu or right-click on the desktop:

![KDE and the activity management](img/07-conf/19-kde-activites.jpg)

The activity banner will then appear at the left of the screen and display the 
current and pending activities. Each activity can be configured to separate 
your tasks and associate certain settings: you can associate each activity with 
its own wallpaper, widgets, but also some fine tuned settings 
like deleting the browsing history, for example.

This organization is similar to the "virtual desktops" presented at the beginning 
of the manual ([chap.3.4](#virtual-desktops)).

**KDE** is an environment with multiple possibilities. I invite you to look at 
their website, and more particularly the tutorials page, which is teeming with 
information: [https://userbase.kde.org/Tutorials](https://userbase.kde.org/Tutorials).

## System Preferences

![](img/apps/preferences.png#left)  
The configuration of your system directly impact you user experience. Instead of 
writing a complete chapter about the different ethical and technical concepts 
which led to the Debian software organization, we are going to examine their 
consequences on your daily usage.

In the rest of this chapter, you might be asked to activate the "contrib" and/or 
"non-free" sections of the Debian repositories,  in order to access some 
"less-free" software. In that case, follow the method documented in the 
[chapter 8.1.4](#modifying-the-repositories).

### Root-User / su-sudo

During the installation, Debian ask you to enter the password for the "root" 
administrator account. This account is common to all the GNU/Linux systems and 
allows to execute administrative tasks on the system.

However, this account is not mandatory. During the installation process, you can 
pass over the "root" account configuration (by leaving empty the root password 
fields), and doing so, avoid its creation.

In this case, this is the *first user* registered during the installation who 
will assume the "root" role.

> OK... and then?

Then, this changes the way you launch commands to administrate the system: in 
this manual, every time we ask you to execute a command in "root" mode, we use 
the "**su**" command. But if the "root" account was not created, you must use 
instead the "**sudo**" command, which promotes you as "root", and type **your 
own password**.

**In a nutshell** to launch an administrative command:  
**If the "root" account was created**, use "su" + administrator password + 
command launch:

    su
    > asking administrative password
    apt update && apt upgrade
    > command execution

**If the "root" account was *NOT* created**, use  "sudo + command" + your user 
password:

    sudo apt update && sudo apt upgrade
    > asking first user password
    > command execution

### Playing a commercial DVD

The DVDs sold commercially are "copy protected" and usually are not readable by 
default on free systems.

The Entertaining Companies consider that we do not have the right, on a free system, 
to make a private copy of the DVDs we bought ... no comment.

To remedy that, if you really need this functionality, you must install the 
**libdvdcss2** package. This package is not present by default in the Debian 
repositories, but can be easily installed via the *libdvd-pkg*. To install 
libdvd-pkg, remember to activate the “contrib” repository. 
Within a terminal in admin mode:

    sudo apt install libdvd-pkg && dpkg-reconfigure libdvd-pkg

Your Debian GNU/Linux system is now able to read the "protected" commercial DVDs, 
and to make private copies of them.

### Installing a graphic card driver

The Debian GNU/Linux system includes free drivers and some firmware in order to 
operate the integrated graphical functions (chipsets) of the motherboard or the 
external graphical card.

![](img/misc/noob-info.png#left)  
**... I need a driver to manage the card of my mother ??**  
Your computer is designed around its "motherboard", a plastic board on which the 
various elements of the processor (the central compute unit) are fixed, as well 
as the chipset, the graphical component being part of them (the graphical 
display computer, to make a long story short).  
In order to send the right instructions to these elements the GNU/Linux kernel 
(the program managing the interactions between the  hardware and the the system) 
uses pieces of code, called drivers 
(and sometimes also "firmware" to be loaded on smart devices during the 
initialization phase). The Linux kernel includes by default a set of free drivers. 
These drivers are usually sufficient to manage the screen display. But it may happen 
that proprietary drivers are still needed, for example to optimize the screen 
resolution.

You can try to install these proprietary drivers if, during a live session or once 
your system is installed, you find out that:

- resolution is wrong, with stretched and distorted images,
- the screen remains black after start-up, even if the system was installed 
without any errors.
- the colors are badly handled
- the system is heating too much when watching videos
- returning from the "suspend" mode is somewhat erratic ...

Please note that installing proprietary drivers is a non-free alternative, and as 
such, not followed by the Debian developers. If your computer is very recent, don't 
hesitate to ask the support of the community before tinkering with your system 
([chap.1.2](#where-to-find-help)).

#### Identifying your hardware

The first thing to do is to identify your graphic device (or graphic card). 
Open a terminal as simple user, and enter the following command:

    lspci | egrep "3D|Display|VGA"

which will display this kind of result for a nVidia controller:

    01:00.0 VGA compatible controller: NVIDIA Corporation G96GLM [Quadro FX 770M] (rev a1)

or this kind of result for an ATI controller:

    01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Barts PRO [Radeon HD 6850] [1002:6739]

As you can see the identification is rather easy ... we got the manufacturer and 
the model on the same line: "NVIDIA Quadro FX 770M" or "AMD ATI Radeon HD 6850".

Should you have the slightest doubt concerning the 
installation of additional drivers, don't hesitate to ask the Free Community for 
help ([chap.1.2](#where-to-find-help)).

#### Installing the generic firmware

In all cases, and before the installation of any proprietary driver, you should 
add the *non-free firmware* delivered by Debian. To add the Debian non-free 
firmware to your system, start with modifying your repositories 
([chap.8.1.4](#modifying-the-repositories)) by adding the *contrib* and *non-free* 
sections to your sources.

Open a terminal in administrative mode (see [chap.3.8.3](#administrator-mode-example)) 
with the "**su**" command (the administrator password is requested), then launch 
the command:

    apt edit-sources

Modify the sources.list file by adding the contrib and non-free section, like this:

    deb https://deb.debian.org/debian/ buster main contrib non-free
    deb http://deb.debian.org/debian/ buster-updates main contrib non-free
    deb http://security.debian.org/debian-security/ buster/updates main contrib non-free

Save your modifications with [Ctrl]+x in the Nano text editor, then "Y" for "Yes".  
Reload the repository information, and install the non-free firmware:

    apt update && apt install firmware-linux firmware-linux-nonfree

Restart your machine to test again your screen  display before installing the 
proprietary drivers.

If no real improvement is noticed, continue with the following sections ... 
The *sources.list* file is already set for the next steps.

#### ATI/AMD card configuration

**ATI driver**

This is the "generic" driver to install if your card is not listed in the specific 
sections (Radeon, Catalyst). To install it from an administrator terminal 
([chap.3.8.3](#administrator-mode-example)):

    apt install libgl1-mesa-dri xserver-xorg-video-ati

Restart your computer to load the microcode (firmware) of the graphic peripheral.

**Radeon driver**

the Radeon driver of Debian 10 "Buster", supports the graphic processors from R100 
to Hawaii (Radeon 7000 - Radeon R9 290). See the Radeon package page 
[https://packages.debian.org/stretch/xserver-xorg-video-radeon](https://packages.debian.org/stretch/xserver-xorg-video-radeon) 
to verify your card.

To install it within an administrator terminal 
([chap.3.8.3](#administrator-mode-example)):

    apt install libgl1-mesa-dri xserver-xorg-video-radeon

Restart your computer to load the microcode (firmware) of the graphic peripheral.

For non-supported cards here and for more information, visit the official Debian 
documentation: 
[https://wiki.debian.org/AtiHowTo](https://wiki.debian.org/AtiHowTo).

#### nVidia card configuration

Debian uses a software tool to detect and indicate the driver to be installed: *nvidia-detect*.

To install and use it, open a terminal in administrator mode 
([chap.3.8.3](#administrator-mode-example)), then launch:

    apt update && apt install nvidia-detect

To launch the detection, simply launch the command:

    nvidia-detect

which will return this kind of result:

    Detected NVIDIA GPUs:
    01:00.0 VGA compatible controller [0300]: NVIDIA Corporation G96GLM [Quadro FX 770M] [10de:065c] (rev a1)
    Your card is supported by the default drivers and legacy driver series 304.
    It is recommended to install the
        nvidia-driver
    package.

In this example, the card is natively supported by the default driver and by the 
"legacy series 304" driver. Depending on your machine, you can install two types 
of drivers: the 340.xx series (for the GeForce 8x and more) and the 304.xx series 
(for the GeForce 6x and 7x). Older models are supported natively by the free driver.

For a **complete list of the supported cards**, visit the dedicated documentation: 
340.xx series page 
([http://us.download.nvidia.com/XFree86/Linux-x86_64/340.65/README/supportedchips.html](http://us.download.nvidia.com/XFree86/Linux-x86_64/340.65/README/supportedchips.html)) - 
304.xx series page 
([http://us.download.nvidia.com/XFree86/Linux-x86/304.125/README/supportedchips.html](http://us.download.nvidia.com/XFree86/Linux-x86/304.125/README/supportedchips.html))

For details on the installation procedure and supported cards, refer to the official 
Debian documentation page: 
[https://wiki.debian.org/NvidiaGraphicsDrivers](https://wiki.debian.org/NvidiaGraphicsDrivers)

#### Graphics Session Loss

If, following a driver installation, you are facing a black screen, you need to 
restore the previous configuration ... **Undo** the modifs.  
At the login prompt, you need to type your username and password (likewise a graphic 
session) and then restart cleanly your computer with the "systemctl reboot" command.

**Boot in "recovery mode"**: from the Grub loader menu, select the "Advanced 
options" entry and then the "recovery mode" entry.

![GRUB: advanced options](img/07-conf/20-recovery-1.jpg)

![GRUB: recovery mode](img/07-conf/21-recovery-2.jpg)

The system launches a console and invites you to continue the startup sequence 
(by using the [Ctrl]+d short-cut to quit the console) or to enter the administrator 
password for maintenance, and this is what you do:

![recovery mode enabled](img/07-conf/22-recovery-3.jpg)

**Recovery mode failed**:  
If you did not configure a "root" account during installation 
([chap.3.8.3](#administrator-mode-example)) recovery mode cannot be activated 
because it needs the "root" account and its password. You will see this screen:

![Recovery mode failed](img/07-conf/23-recovery-fail.jpg)

To solve this problem, just add a "root" account with its password. That's good, 
you have the rights to do it, thanks to "sudo". In your console, log in as a simple 
user with your password then start creating the "root" password:

    user@debian-pc:~$ sudo passwd root
    [sudo] Password for user:

You are asked for **your password**. Then you fill in the new password for "root":

    New password:
    Retype the new password:

Abd that's it, the "root" account is now activated, you can start again the operation 
and enter "recovery mode".

**Removal of the xorg.conf configuration file**: during the installation of the 
proprietary driver, you created an X configuration file located in /etc/X11/xorg.conf 
and/or in /etc/X11/xorg.conf.d/xxx.conf. It must be removed. Always within the console 
and depending on the file created, remove it with the command: "**rm**":

    rm /etc/X11/xorg.conf.d/20-nvidia.conf

Here it was the file corresponding to **nVidia** which was removed, 
**!! to be tailored to your situation !!**.

**Uninstall the proprietary drivers**: the same way you were able to install 
a driver, you can uninstall it, here after an example with the nVidia driver, 
**!! to be tailored to your situation !!**:

    apt remove nvidia-kernel-dkms nvidia-driver

**Restart your computer** with a simple **systemctl reboot**

## Adding a new user

![](img/apps/users.png#left)  
If you are not the only user of your computer, you can create new user account 
in order to **preserve your own data and preferences**. By adding a new user, a new 
folder will be created in the system. This folder, named by the 
new user pseudo (login-ID), will receive the default parameters defined 
during the system installation.  
It will be readable by you (you can consult the data of the other user) but not 
writable (you cannot create or modify its data).  
Debian includes a simple graphical tool to execute this task, but you can also 
use the terminal and the "adduser" command (described in the next section).

### Adding a new user the graphical way

Each desktop offers its own tool to add a new user,
and it is usually located in the environment “system” menu.

With Gnome-Shell, the default session under Debian, you can go through the 
system-menu located at the top right of the screen. Select your login-ID to open 
the drop-down menu, and click on “Account Settings”:

![Account settings launcher](img/07-conf/24-useradd-gui-01.jpg)

The window which opens, displays the detailed information of your user account. 
You can then modify the parameters of your account, or create a new account. 
But you need first to "unlock" the application by clicking on the *lock* 
button at the top-right, and enter the administrator password.

![Account settings under Gnome-Shell](img/07-conf/25-useradd-gui-02.jpg)

**To add a new account**, click on "Add user..." button:

![Adding a new user](img/07-conf/27-useradd-gui-04.jpg)

![User configuration](img/07-conf/28-useradd-gui-05.jpg)

You must enter the full name of this new user, as well as its username (the 
pseudo or login-ID used when connecting to a new session). On the Gnome 
system, you can let the user to define its password during the first 
connection, or enter it immediately. The user account is created ... and here 
you go:

![Users list](img/07-conf/29-useradd-gui-06.jpg)

Note that if you have set up an automatic connection for the first
user, you will need to "exit the session" or "switch users"
in order to log in as the new user.

### Adding a new user using the terminal

Open a terminal in administrator mode (see [chap.3.8.3](#administrator-mode-example)) 
enter the command which creates the new "*username*" account. Note that you should 
enter here the login-ID (or pseudo), not the full name which will be asked later on:

    root@debian:~# adduser dave
    Adding user 'dave' ...
    Adding new group 'dave' (1003) ...
    Adding new user 'dave' (1003) with group 'dave' ...
    Creating home directory '/home/dave' ...
    Copying files from '/etc/skel' ...
    Enter new UNIX password:
    
The user account creation process is started and you must enter the password 
twice (without any echo, its normal).

Once the account is created, we can enter additional information: full name, 
room number, work phone, home phone, and any comments in the "Other" field.  
Once done, a confirmation is requested. If these information are correct you 
can press [Enter] or [Y] to finish the account creation process:

    Retype new UNIX password: 
    passwd: password updated successfully
    Changing the user information for dave
    Enter the new value, or press ENTER for the default
	        Full Name []: Dave Melville 
	        Room Number []: 
	        Work Phone []: 
	        Home Phone []: 
	        Other []: 
    Is the information correct? [Y/n] Y

This new user will be able to login with its username and password at computer 
startup. It will be able to store and manage its data and configure its 
environment without any risks for your own data and preferences.

