# ![](img/nav42/anx.png) Back up your data

No matter where your expertize level is, or what is the current state of your 
hardware, nobody is immune to a bad cockpit error, a technical failure, a heavy 
thunderstorm, a cup of tea/coffee spilled on the keyboard, or the cat messing 
around with the central unit ...

The hard disk drive capacities are increasing every day and we are tempted to store 
on them more and more data (family pictures, videos, private copies of movies, etc). 
The risk of losing a large amount of data also increases at the same time, and that's 
why we advise you to execute regular backups of your personal data, as well as your 
passwords and email messages.

This section will endeavor to provide you with simple keys to avoid the lost of 
your favorite files during a hardware or software failure.

![](img/misc/noob-info.png#left)  
The "cloud" is fashionable these days. Several on-line services are at your 
disposal to save your data on an external server...  
First of all, you are not immune to a server failure, and secondly, you have no 
real control on what your data are going to be used for. The "cloud" is actually 
the computer of someone else, as Bibi (a friendly Debian user) told us recently.

I strongly advise you, in case of doubts (not all services are subsidiaries of the 
NSA ...) to backup your data locally, that is on your own physical medium which 
you fully control.

## Choosing the medium

![](img/apps/backup.png#left)  
Backups used to be made on floppy disks, then on CDs and then on DVDs. Even if you 
can still use this kind of support, the technology now gives you access to much 
larger capacities at little cost.

Depending on the amount of the data to backup, you can find external disk from 1GB 
(USB key type) to 2TB (2000GB), being powered directly over the USB cable, or by 
an external power supply. The prices range roughly from 5 to 200 US$, depending on 
their storage capacity.

Of course, if the size of your data is below 700MB, you can still use a CD-RW 
(re-writable CD-Rom) for your backups.

## Graphical mode applications

![](img/apps/archive.png#left)  
Debian hosts in its repositories several utilities 
([https://www.debian.org/doc/manuals/debian-reference/ch10.html#_copy_and_synchronization_tools](https://www.debian.org/doc/manuals/debian-reference/ch10.html#_copy_and_synchronization_tools)) 
in the "copy and synchronization" section, each of them offers a graphical 
interface or "client". Here we present one of the simplest backup tool: Deja-Dup.

**Deja-Dup** is more than enough to backup your personal data, but if you 
want to execute a "full system backup" (including your application and the whole 
installation) you must use more complex software, as described in the Debian 
documentation 
([https://wiki.debian.org/BackupAndRecovery](https://wiki.debian.org/BackupAndRecovery)).

### Backing Up with Deja-Dup

![](img/apps/deja-dup.png#left)  
**Deja-Dup** ([https://wiki.gnome.org/Apps/DejaDup](https://wiki.gnome.org/Apps/DejaDup)) 
is a "simplified backup tool", which is a graphical interface to the **Duplicity** 
software ([http://duplicity.nongnu.org/](http://duplicity.nongnu.org/)). It allows 
building secured backups of your data within a local folder, an external disk, a 
local network, a remote network or somewhere in the "cloud".

It also allows the **complete encryption** and **password protection** of your 
backup files.

**Deja-Dup** offers a **clear interface** which does not require any computer knowledge.

#### Installing Deja-Dup

Deja-Dup can be found in the Debian repositories. To install it using a terminal 
in administrator mode ([chap.3.8.3](#administrator-mode-example)):

    apt update && apt install deja-dup

Or using the graphical interfaces 
([chap.8.5](#synaptic-the-comprehensive-package-manager)), look for "deja-dup".

#### Launching and configuring Deja-Dup

![Deja-Dup: default interface](img/09-backup/01-dejadup.jpg)

**Deja-Dup** will be accessible from the application menu > "Utilities" > "Backups".

During the first launch, the Deja-Dup settings let you define how to automatically 
execute the future backups, where to save, what to save and at which frequency.

Its simple and intuitive interface will guide you through the whole process.  
Start by adding folders to save, and then the folders to ignore:

![Deja-Dup: selecting the folders to save](img/09-backup/02-dejadup-include.jpg)

![Deja-Dup: selecting the folders to ignore](img/09-backup/03-dejadup-exclude.jpg)

Once the *included* and *excluded* folders are defines, you need to define the 
backup location. You can select:

- a USB disk (don’t forget to plug in it first) as shown in the example
- a local directory (but in that case, your data won't be safe if the disk crashes)
- a server of the “cloud” type

![Deja-Dup: selecting the storage location](img/09-backup/04-dejadup-place.jpg)

Depending on your computer usage, you can adjust the backup frequency.
Please note that if you picked a USB disk as backup location, you would need to 
plug it in, at each backup time.

![Deja-Dup: scheduling the backups](img/09-backup/05-dejadup-planification.jpg)

#### Saving your data with Deja-Dup

![Deja-Dup: launching the first backup](img/09-backup/06-dejadup-demarrer.jpg)

Once the settings are done, **launch the first backup** by clicking on the 
"Back Up Now" button residing under the "Overview" tab.

The very first backup execution will take some time, depending on the size of 
the data to be saved, but the following runs should be a lot faster since Deja-Dup
will save only the modified files: this is an incremental backup.

An additional feature is the optional password setting during the configuration, 
which allows the encryption of the full set of backups:

![Deja-Dup: protecting your backup](img/09-backup/07-dejadup-password.jpg)

![Deja-Dup: launching the backup](img/09-backup/08-dejadup-backup.jpg)

![Deja-Dup: backup complete](img/09-backup/09-dejadup-backuped.jpg)

#### Restoring your data with Deja-Dup

![Deja-Dup: restore launcher](img/09-backup/10-dejadup-restaurer-1.jpg)

To **restore a backup** on a newly installed system, for example, simply install 
**Deja-Dup** on it, launch it and select "Restore" in the main window.

A series of simple windows will help you to find and restore your data. 
Likewise the saving process, restoring is rather intuitive :

![Deja-Dup: define from which location to restore](img/09-backup/11-dejadup-restaurer-2.jpg)

![Deja-Dup: define from which creation time to restore (when several backups are available)](img/09-backup/12-dejadup-restaurer-3.jpg)

![Deja-Dup: define the restore destination](img/09-backup/13-dejadup-restaurer-4.jpg)

![Deja-Dup: confirm the restore parameters](img/09-backup/14-dejadup-restaurer-5.jpg)

![Deja-Dup: restoration preparation](img/09-backup/15-dejadup-restaurer-6.jpg)

![Deja-Dup: if the backup has been encrypted, the password will be required.](img/09-backup/16-dejadup-restaurer-7.jpg)

![Deja-Dup: restoring](img/09-backup/17-dejadup-restaurer-8.jpg)

![Deja-Dup: restore process completed](img/09-backup/18-dejadup-restaurer-9.jpg)

## Manual method

![](img/apps/archive.png#left)  
If you want to save just one folder or few of them, you can simply use the file 
system manager, or your archive manager (to reduce the storage space through 
compression).

The latter produces "real" archives: for subsequent consultation of these data, 
you need to decompress the archive.  
From the file manager, select the folders to be saved, then right-click and take 
the "Compress..." (or "Archive") action.

Then you just have to move the archive file on an external medium.

## Cloning the system

![](img/logo/clonezilla.png)  
This is the complete solution ensuring a total safety for your data: cloning the 
entire hard disk.

**Clonezilla Live** ([http://clonezilla.org/](http://clonezilla.org/)) is a Live 
CD based on the Debian GNU/Linux distribution, which includes the **Clonezilla** 
software. It allows the user to directly execute from its machine:

- **A Backup**: copy the entire disk copy , or one or several partitions, under 
the form of an image and save it on any kind of storage.
- **A Restore**: restore an image from its storage location (to the same disk, 
another disk, another machine, a USB key, a network, etc.).
- **A Copy**: direct copy from an original disk to another destination disk.

This Clonezilla version is able to connect to different servers: SSH server, 
Samba server, NFS server ...

As its name suggests it, it works like a Live CD (CD-ROM, DVD-ROM) but can also 
be executed from a USB key, an external disk, etc. 
(source [Wikipedia](https://en.wikipedia.org/wiki/Clonezilla)).

You can find an English tutorial on this page:  
[https://www.howtoforge.com/back-up-restore-hard-drives-and-partitions-with-clonezilla-live](https://www.howtoforge.com/back-up-restore-hard-drives-and-partitions-with-clonezilla-live).

